diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index 076944d..f4e3777 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -1256,7 +1256,6 @@ CONFIG_DP83867_PHY=m
 # CONFIG_DPM_WATCHDOG is not set
 CONFIG_DPTF_POWER=m
 CONFIG_DQL=y
-CONFIG_DRAGONRISE_FF=y
 CONFIG_DRM=m
 CONFIG_DRM_AMDGPU=m
 CONFIG_DRM_AMDGPU_CIK=y
@@ -1750,7 +1749,6 @@ CONFIG_GPIO_WM8350=m
 CONFIG_GPIO_WM8994=m
 CONFIG_GPIO_WS16C48=m
 CONFIG_GRACE_PERIOD=m
-CONFIG_GREENASIA_FF=y
 CONFIG_GREYBUS=m
 CONFIG_GREYBUS_BOOTROM=m
 CONFIG_GREYBUS_BRIDGED_PHY=m
@@ -1897,67 +1895,61 @@ CONFIG_HIBERNATE_CALLBACKS=y
 CONFIG_HIBERNATION=y
 CONFIG_HID=m
 CONFIG_HIDRAW=y
-CONFIG_HID_A4TECH=m
-CONFIG_HID_ACRUX=m
-CONFIG_HID_ACRUX_FF=y
-CONFIG_HID_ALPS=m
-CONFIG_HID_APPLE=m
-CONFIG_HID_APPLEIR=m
+# CONFIG_HID_A4TECH is not set
+# CONFIG_HID_ACRUX is not set
+# CONFIG_HID_ALPS is not set
+# CONFIG_HID_APPLE is not set
+# CONFIG_HID_APPLEIR is not set
 CONFIG_HID_ASUS=m
-CONFIG_HID_AUREAL=m
-CONFIG_HID_BATTERY_STRENGTH=y
-CONFIG_HID_BELKIN=m
-CONFIG_HID_BETOP_FF=m
-CONFIG_HID_CHERRY=m
-CONFIG_HID_CHICONY=m
-CONFIG_HID_CMEDIA=m
+# CONFIG_HID_AUREAL is not set
+# CONFIG_HID_BATTERY_STRENGTH is not set
+# CONFIG_HID_BELKIN is not set
+# CONFIG_HID_BETOP_FF is not set
+# CONFIG_HID_CHERRY is not set
+# CONFIG_HID_CHICONY is not set
+# CONFIG_HID_CMEDIA is not set
 CONFIG_HID_CORSAIR=m
 CONFIG_HID_CP2112=m
-CONFIG_HID_CYPRESS=m
-CONFIG_HID_DRAGONRISE=m
-CONFIG_HID_ELECOM=m
-CONFIG_HID_ELO=m
-CONFIG_HID_EMS_FF=m
-CONFIG_HID_EZKEY=m
-CONFIG_HID_GEMBIRD=m
+# CONFIG_HID_CYPRESS is not set
+# CONFIG_HID_DRAGONRISE is not set
+# CONFIG_HID_ELECOM is not set
+# CONFIG_HID_ELO is not set
+# CONFIG_HID_EMS_FF is not set
+# CONFIG_HID_EZKEY is not set
+# CONFIG_HID_GEMBIRD is not set
 CONFIG_HID_GENERIC=m
-CONFIG_HID_GFRM=m
-CONFIG_HID_GREENASIA=m
+# CONFIG_HID_GFRM is not set
+# CONFIG_HID_GREENASIA is not set
 CONFIG_HID_GT683R=m
-CONFIG_HID_GYRATION=m
-CONFIG_HID_HOLTEK=m
+# CONFIG_HID_GYRATION is not set
+# CONFIG_HID_HOLTEK is not set
 CONFIG_HID_HYPERV_MOUSE=m
-CONFIG_HID_ICADE=m
-CONFIG_HID_KENSINGTON=m
-CONFIG_HID_KEYTOUCH=m
-CONFIG_HID_KYE=m
-CONFIG_HID_LCPOWER=m
+# CONFIG_HID_ICADE is not set
+# CONFIG_HID_KENSINGTON is not set
+# CONFIG_HID_KEYTOUCH is not set
+# CONFIG_HID_KYE is not set
+# CONFIG_HID_LCPOWER is not set
 CONFIG_HID_LED=m
-CONFIG_HID_LENOVO=m
-CONFIG_HID_LOGITECH=m
-CONFIG_HID_LOGITECH_DJ=m
-CONFIG_HID_LOGITECH_HIDPP=m
-CONFIG_HID_MAGICMOUSE=m
+# CONFIG_HID_LENOVO is not set
+# CONFIG_HID_LOGITECH is not set
+# CONFIG_HID_MAGICMOUSE is not set
 CONFIG_HID_MAYFLASH=m
-CONFIG_HID_MICROSOFT=m
-CONFIG_HID_MONTEREY=m
-CONFIG_HID_MULTITOUCH=m
-CONFIG_HID_NTRIG=m
-CONFIG_HID_ORTEK=m
-CONFIG_HID_PANTHERLORD=m
-CONFIG_HID_PENMOUNT=m
-CONFIG_HID_PETALYNX=m
-CONFIG_HID_PICOLCD=m
-CONFIG_HID_PICOLCD_BACKLIGHT=y
-CONFIG_HID_PICOLCD_FB=y
-CONFIG_HID_PICOLCD_LEDS=y
+# CONFIG_HID_MICROSOFT is not set
+# CONFIG_HID_MONTEREY is not set
+# CONFIG_HID_MULTITOUCH is not set
+# CONFIG_HID_NTRIG is not set
+# CONFIG_HID_ORTEK is not set
+# CONFIG_HID_PANTHERLORD is not set
+# CONFIG_HID_PENMOUNT is not set
+# CONFIG_HID_PETALYNX is not set
+# CONFIG_HID_PICOLCD is not set
 CONFIG_HID_PID=y
-CONFIG_HID_PLANTRONICS=m
-CONFIG_HID_PRIMAX=m
-CONFIG_HID_RMI=m
-CONFIG_HID_ROCCAT=m
-CONFIG_HID_SAITEK=m
-CONFIG_HID_SAMSUNG=m
+# CONFIG_HID_PLANTRONICS is not set
+# CONFIG_HID_PRIMAX is not set
+# CONFIG_HID_RMI is not set
+# CONFIG_HID_ROCCAT is not set
+# CONFIG_HID_SAITEK is not set
+# CONFIG_HID_SAMSUNG is not set
 CONFIG_HID_SENSOR_ACCEL_3D=m
 CONFIG_HID_SENSOR_ALS=m
 CONFIG_HID_SENSOR_CUSTOM_SENSOR=m
@@ -1970,30 +1962,29 @@ CONFIG_HID_SENSOR_INCLINOMETER_3D=m
 CONFIG_HID_SENSOR_MAGNETOMETER_3D=m
 CONFIG_HID_SENSOR_PRESS=m
 CONFIG_HID_SENSOR_PROX=m
-CONFIG_HID_SMARTJOYPLUS=m
+# CONFIG_HID_SMARTJOYPLUS is not set
 CONFIG_HID_SONY=m
-CONFIG_HID_SPEEDLINK=m
-CONFIG_HID_STEELSERIES=m
-CONFIG_HID_SUNPLUS=m
+# CONFIG_HID_SPEEDLINK is not set
+# CONFIG_HID_STEELSERIES is not set
+# CONFIG_HID_SUNPLUS is not set
 CONFIG_HID_THINGM=m
-CONFIG_HID_THRUSTMASTER=m
-CONFIG_HID_TIVO=m
-CONFIG_HID_TOPSEED=m
-CONFIG_HID_TWINHAN=m
-CONFIG_HID_UCLOGIC=m
+# CONFIG_HID_THRUSTMASTER is not set
+# CONFIG_HID_TIVO is not set
+# CONFIG_HID_TOPSEED is not set
+# CONFIG_HID_TWINHAN is not set
+# CONFIG_HID_UCLOGIC is not set
 CONFIG_HID_UDRAW_PS3=m
-CONFIG_HID_WACOM=m
-CONFIG_HID_WALTOP=m
+# CONFIG_HID_WACOM is not set
+# CONFIG_HID_WALTOP is not set
 CONFIG_HID_WIIMOTE=m
-CONFIG_HID_XINMO=m
-CONFIG_HID_ZEROPLUS=m
-CONFIG_HID_ZYDACRON=m
+# CONFIG_HID_XINMO is not set
+# CONFIG_HID_ZEROPLUS is not set
+# CONFIG_HID_ZYDACRON is not set
 CONFIG_HIGH_RES_TIMERS=y
 CONFIG_HIO=m
 # CONFIG_HIPPI is not set
 CONFIG_HIST_TRIGGERS=y
 CONFIG_HMC6352=m
-CONFIG_HOLTEK_FF=y
 CONFIG_HOTPLUG_CPU=y
 CONFIG_HOTPLUG_PCI=y
 CONFIG_HOTPLUG_PCI_ACPI=y
@@ -2811,10 +2802,6 @@ CONFIG_LOCKUP_DETECTOR=y
 CONFIG_LOCK_SPIN_ON_OWNER=y
 # CONFIG_LOCK_STAT is not set
 CONFIG_LOCK_TORTURE_TEST=m
-CONFIG_LOGIG940_FF=y
-CONFIG_LOGIRUMBLEPAD2_FF=y
-CONFIG_LOGITECH_FF=y
-CONFIG_LOGIWHEELS_FF=y
 # CONFIG_LOGO is not set
 CONFIG_LOG_BUF_SHIFT=18
 CONFIG_LOG_CPU_MAX_BUF_SHIFT=12
@@ -3776,7 +3763,6 @@ CONFIG_PANEL_PROFILE=5
 # CONFIG_PANIC_ON_OOPS is not set
 CONFIG_PANIC_ON_OOPS_VALUE=0
 CONFIG_PANIC_TIMEOUT=0
-CONFIG_PANTHERLORD_FF=y
 CONFIG_PARAVIRT=y
 CONFIG_PARAVIRT_CLOCK=y
 # CONFIG_PARAVIRT_DEBUG is not set
@@ -4858,7 +4844,6 @@ CONFIG_SLUB_CPU_PARTIAL=y
 CONFIG_SLUB_DEBUG=y
 # CONFIG_SLUB_DEBUG_ON is not set
 # CONFIG_SLUB_STATS is not set
-CONFIG_SMARTJOYPLUS_FF=y
 CONFIG_SMC_IRCC_FIR=m
 CONFIG_SMP=y
 CONFIG_SMSC37B787_WDT=m
@@ -5109,7 +5094,6 @@ CONFIG_THERMAL_HWMON=y
 CONFIG_THERMAL_WRITABLE_TRIPS=y
 # CONFIG_THINKPAD_ACPI is not set
 CONFIG_THREAD_INFO_IN_TASK=y
-CONFIG_THRUSTMASTER_FF=y
 # CONFIG_THUNDERBOLT is not set
 CONFIG_THUNDER_NIC_BGX=m
 CONFIG_THUNDER_NIC_PF=m
@@ -5807,7 +5791,6 @@ CONFIG_YENTA_TI=y
 CONFIG_YENTA_TOSHIBA=y
 CONFIG_Z3FOLD=m
 CONFIG_ZBUD=y
-CONFIG_ZEROPLUS_FF=y
 CONFIG_ZIIRAVE_WATCHDOG=m
 CONFIG_ZISOFS=y
 CONFIG_ZLIB_DEFLATE=y