diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index f4e3777..351425d 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -38,8 +38,6 @@ CONFIG_AB3100_OTP=m
 CONFIG_ABP060MG=m
 CONFIG_ABX500_CORE=y
 # CONFIG_ACCESSIBILITY is not set
-CONFIG_ACENIC=m
-# CONFIG_ACENIC_OMIT_TIGON_I is not set
 # CONFIG_ACERHDF is not set
 # CONFIG_ACER_WMI is not set
 # CONFIG_ACORN_PARTITION is not set
@@ -145,7 +143,6 @@ CONFIG_AD8801=m
 CONFIG_AD9523=m
 CONFIG_AD9832=m
 CONFIG_AD9834=m
-CONFIG_ADAPTEC_STARFIRE=m
 CONFIG_ADE7753=m
 CONFIG_ADE7754=m
 CONFIG_ADE7758=m
@@ -217,17 +214,12 @@ CONFIG_ALLOW_DEV_COREDUMP=y
 CONFIG_ALTERA_MBOX=m
 CONFIG_ALTERA_STAPL=m
 CONFIG_ALTERA_TSE=m
-CONFIG_ALX=m
 CONFIG_AM2315=m
-CONFIG_AMD8111_ETH=m
 CONFIG_AMD_IOMMU=y
 CONFIG_AMD_IOMMU_V2=m
 CONFIG_AMD_NB=y
 CONFIG_AMD_NUMA=y
 CONFIG_AMD_PHY=m
-CONFIG_AMD_XGBE=m
-CONFIG_AMD_XGBE_DCB=y
-CONFIG_AMD_XGBE_HAVE_ECC=y
 CONFIG_AMIGA_PARTITION=y
 # CONFIG_AMILO_RFKILL is not set
 # CONFIG_ANDROID is not set
@@ -345,10 +337,6 @@ CONFIG_ATA_OVER_ETH=m
 CONFIG_ATA_PIIX=y
 CONFIG_ATA_SFF=y
 CONFIG_ATA_VERBOSE_ERROR=y
-CONFIG_ATL1=m
-CONFIG_ATL1C=m
-CONFIG_ATL1E=m
-CONFIG_ATL2=m
 CONFIG_ATLAS_PH_SENSOR=m
 CONFIG_ATM=m
 # CONFIG_ATMEL_PIT is not set
@@ -414,7 +402,6 @@ CONFIG_AUFS_INO_T_64=y
 CONFIG_AUFS_SBILIST=y
 # CONFIG_AUFS_SHWH is not set
 CONFIG_AUFS_XATTR=y
-CONFIG_AURORA_NB8800=m
 CONFIG_AUTOFS4_FS=m
 # CONFIG_AUXDISPLAY is not set
 CONFIG_AX25=m
@@ -587,7 +574,6 @@ CONFIG_BMI160_SPI=m
 CONFIG_BMP280=m
 CONFIG_BMP280_I2C=m
 CONFIG_BMP280_SPI=m
-CONFIG_BNA=m
 CONFIG_BNX2=m
 CONFIG_BNX2X=m
 CONFIG_BNX2X_SRIOV=y
@@ -707,7 +693,6 @@ CONFIG_CAN_SLCAN=m
 CONFIG_CAN_SOFTING=m
 CONFIG_CAN_VCAN=m
 CONFIG_CARDBUS=y
-CONFIG_CASSINI=m
 CONFIG_CB710_CORE=m
 # CONFIG_CB710_DEBUG is not set
 CONFIG_CB710_DEBUG_ASSUMPTIONS=y
@@ -1086,9 +1071,6 @@ CONFIG_DCACHE_WORD_ACCESS=y
 CONFIG_DCB=y
 CONFIG_DCDBAS=m
 CONFIG_DDR=y
-CONFIG_DE2104X=m
-CONFIG_DE2104X_DSL=0
-CONFIG_DE4X5=m
 # CONFIG_DEBUG_ATOMIC_SLEEP is not set
 # CONFIG_DEBUG_BLK_CGROUP is not set
 # CONFIG_DEBUG_BLOCK_EXT_DEVT is not set
@@ -1200,7 +1182,6 @@ CONFIG_DLCI=m
 CONFIG_DLCI_MAX=8
 CONFIG_DLM=m
 # CONFIG_DLM_DEBUG is not set
-CONFIG_DM9102=m
 CONFIG_DMADEVICES=y
 # CONFIG_DMADEVICES_DEBUG is not set
 CONFIG_DMARD09=m
@@ -1315,7 +1296,6 @@ CONFIG_DUMMY_CONSOLE=y
 CONFIG_DUMMY_CONSOLE_COLUMNS=80
 CONFIG_DUMMY_CONSOLE_ROWS=25
 CONFIG_DUMMY_IRQ=m
-CONFIG_DWMAC_GENERIC=m
 CONFIG_DW_DMAC=m
 CONFIG_DW_DMAC_CORE=m
 CONFIG_DW_DMAC_PCI=m
@@ -1391,14 +1371,12 @@ CONFIG_ELF_CORE=y
 # CONFIG_EM_TIMER_STI is not set
 # CONFIG_ENABLE_MUST_CHECK is not set
 # CONFIG_ENABLE_WARN_DEPRECATED is not set
-CONFIG_ENA_ETHERNET=m
 CONFIG_ENC28J60=m
 # CONFIG_ENC28J60_WRITEVERIFY is not set
 CONFIG_ENCLOSURE_SERVICES=m
 CONFIG_ENCRYPTED_KEYS=y
 CONFIG_ENCX24J600=m
 CONFIG_ENIC=m
-CONFIG_EPIC100=m
 CONFIG_EPOLL=y
 CONFIG_EQUALIZER=m
 CONFIG_ESI_DONGLE=m
@@ -1589,7 +1567,6 @@ CONFIG_FM10K=m
 CONFIG_FONT_8x16=y
 CONFIG_FONT_8x8=y
 CONFIG_FONT_SUPPORT=y
-CONFIG_FORCEDETH=m
 # CONFIG_FPGA is not set
 CONFIG_FRAMEBUFFER_CONSOLE=y
 CONFIG_FRAMEBUFFER_CONSOLE_DETECT_PRIMARY=y
@@ -1772,7 +1749,6 @@ CONFIG_GTP=m
 CONFIG_HAMACHI=m
 CONFIG_HAMRADIO=y
 CONFIG_HANGCHECK_TIMER=m
-CONFIG_HAPPYMEAL=m
 CONFIG_HARDENED_USERCOPY=y
 # CONFIG_HARDENED_USERCOPY_PAGESPAN is not set
 CONFIG_HARDLOCKUP_DETECTOR=y
@@ -1995,7 +1971,6 @@ CONFIG_HOTPLUG_PCI_CPCI_ZT5550=m
 CONFIG_HOTPLUG_PCI_PCIE=y
 CONFIG_HOTPLUG_PCI_SHPC=m
 CONFIG_HP03=m
-CONFIG_HP100=m
 CONFIG_HP206C=m
 CONFIG_HPET=y
 CONFIG_HPET_EMULATE_RTC=y
@@ -2252,7 +2227,6 @@ CONFIG_INFINIBAND_NES=m
 # CONFIG_INFINIBAND_NES_DEBUG is not set
 CONFIG_INFINIBAND_OCRDMA=m
 CONFIG_INFINIBAND_ON_DEMAND_PAGING=y
-CONFIG_INFINIBAND_QEDR=m
 CONFIG_INFINIBAND_QIB=m
 CONFIG_INFINIBAND_QIB_DCA=y
 CONFIG_INFINIBAND_RDMAVT=m
@@ -2681,13 +2655,9 @@ CONFIG_KPROBES_ON_FTRACE=y
 # CONFIG_KPROBES_SANITY_TEST is not set
 CONFIG_KPROBE_EVENT=y
 CONFIG_KRETPROBES=y
-CONFIG_KS8842=m
-CONFIG_KS8851=m
-CONFIG_KS8851_MLL=m
 CONFIG_KS959_DONGLE=m
 CONFIG_KSDAZZLE_DONGLE=m
 CONFIG_KSM=y
-CONFIG_KSZ884X_PCI=m
 CONFIG_KVM=m
 CONFIG_KVM_AMD=m
 CONFIG_KVM_ASYNC_PF=y
@@ -2782,8 +2752,6 @@ CONFIG_LIBFC=m
 CONFIG_LIBFCOE=m
 CONFIG_LIBNVDIMM=y
 CONFIG_LIDAR_LITE_V2=m
-CONFIG_LIQUIDIO=m
-CONFIG_LIQUIDIO_VF=m
 CONFIG_LITELINK_DONGLE=m
 CONFIG_LIVEPATCH=y
 # CONFIG_LKDTM is not set
@@ -3131,11 +3099,8 @@ CONFIG_MWAVE=m
 CONFIG_MXC4005=m
 CONFIG_MXC6255=m
 CONFIG_MXM_WMI=m
-CONFIG_MYRI10GE=m
-CONFIG_MYRI10GE_DCA=y
 CONFIG_NAMESPACES=y
 CONFIG_NATIONAL_PHY=m
-CONFIG_NATSEMI=m
 CONFIG_NAU7802=m
 CONFIG_NCPFS_EXTRAS=y
 CONFIG_NCPFS_IOCTL_LOCKING=y
@@ -3150,7 +3115,6 @@ CONFIG_ND_BLK=m
 CONFIG_ND_BTT=m
 CONFIG_ND_CLAIM=y
 CONFIG_ND_PFN=m
-CONFIG_NE2K_PCI=m
 CONFIG_NEED_DMA_MAP_STATE=y
 CONFIG_NEED_MULTIPLE_NODES=y
 CONFIG_NEED_PER_CPU_EMBED_FIRST_CHUNK=y
@@ -3254,7 +3218,6 @@ CONFIG_NETROM=m
 CONFIG_NETWORK_FILESYSTEMS=y
 # CONFIG_NETWORK_PHY_TIMESTAMPING is not set
 CONFIG_NETWORK_SECMARK=y
-CONFIG_NETXEN_NIC=m
 CONFIG_NET_9P=m
 # CONFIG_NET_9P_DEBUG is not set
 CONFIG_NET_9P_RDMA=m
@@ -3375,60 +3338,58 @@ CONFIG_NET_TEAM_MODE_BROADCAST=m
 CONFIG_NET_TEAM_MODE_LOADBALANCE=m
 CONFIG_NET_TEAM_MODE_RANDOM=m
 CONFIG_NET_TEAM_MODE_ROUNDROBIN=m
-CONFIG_NET_TULIP=y
 CONFIG_NET_UDP_TUNNEL=m
-CONFIG_NET_VENDOR_3COM=y
-CONFIG_NET_VENDOR_8390=y
-CONFIG_NET_VENDOR_ADAPTEC=y
+# CONFIG_NET_VENDOR_3COM is not set
+# CONFIG_NET_VENDOR_ADAPTEC is not set
 CONFIG_NET_VENDOR_AGERE=y
 CONFIG_NET_VENDOR_ALACRITECH=y
-CONFIG_NET_VENDOR_ALTEON=y
-CONFIG_NET_VENDOR_AMAZON=y
-CONFIG_NET_VENDOR_AMD=y
-CONFIG_NET_VENDOR_ARC=y
-CONFIG_NET_VENDOR_ATHEROS=y
-CONFIG_NET_VENDOR_AURORA=y
+# CONFIG_NET_VENDOR_ALTEON is not set
+# CONFIG_NET_VENDOR_AMAZON is not set
+# CONFIG_NET_VENDOR_AMD is not set
+# CONFIG_NET_VENDOR_ARC is not set
+# CONFIG_NET_VENDOR_ATHEROS is not set
+# CONFIG_NET_VENDOR_AURORA is not set
 CONFIG_NET_VENDOR_BROADCOM=y
-CONFIG_NET_VENDOR_BROCADE=y
-CONFIG_NET_VENDOR_CAVIUM=y
+# CONFIG_NET_VENDOR_BROCADE is not set
+# CONFIG_NET_VENDOR_CAVIUM is not set
 CONFIG_NET_VENDOR_CHELSIO=y
 CONFIG_NET_VENDOR_CISCO=y
-CONFIG_NET_VENDOR_DEC=y
+# CONFIG_NET_VENDOR_DEC is not set
 CONFIG_NET_VENDOR_DLINK=y
 CONFIG_NET_VENDOR_EMULEX=y
-CONFIG_NET_VENDOR_EXAR=y
-CONFIG_NET_VENDOR_EZCHIP=y
-CONFIG_NET_VENDOR_HP=y
+# CONFIG_NET_VENDOR_EXAR is not set
+# CONFIG_NET_VENDOR_EZCHIP is not set
+# CONFIG_NET_VENDOR_HP is not set
 CONFIG_NET_VENDOR_I825XX=y
 CONFIG_NET_VENDOR_INTEL=y
 CONFIG_NET_VENDOR_MARVELL=y
 CONFIG_NET_VENDOR_MELLANOX=y
-CONFIG_NET_VENDOR_MICREL=y
+# CONFIG_NET_VENDOR_MICREL is not set
 CONFIG_NET_VENDOR_MICROCHIP=y
-CONFIG_NET_VENDOR_MYRI=y
-CONFIG_NET_VENDOR_NATSEMI=y
+# CONFIG_NET_VENDOR_MYRI is not set
+# CONFIG_NET_VENDOR_NATSEMI is not set
 CONFIG_NET_VENDOR_NETRONOME=y
-CONFIG_NET_VENDOR_NVIDIA=y
-CONFIG_NET_VENDOR_OKI=y
-CONFIG_NET_VENDOR_QLOGIC=y
-CONFIG_NET_VENDOR_QUALCOMM=y
-CONFIG_NET_VENDOR_RDC=y
+# CONFIG_NET_VENDOR_NVIDIA is not set
+# CONFIG_NET_VENDOR_OKI is not set
+# CONFIG_NET_VENDOR_QLOGIC is not set
+# CONFIG_NET_VENDOR_QUALCOMM is not set
+# CONFIG_NET_VENDOR_RDC is not set
 CONFIG_NET_VENDOR_REALTEK=y
-CONFIG_NET_VENDOR_RENESAS=y
-CONFIG_NET_VENDOR_ROCKER=y
-CONFIG_NET_VENDOR_SAMSUNG=y
-CONFIG_NET_VENDOR_SEEQ=y
-CONFIG_NET_VENDOR_SILAN=y
-CONFIG_NET_VENDOR_SIS=y
-CONFIG_NET_VENDOR_SMSC=y
+# CONFIG_NET_VENDOR_RENESAS is not set
+# CONFIG_NET_VENDOR_ROCKER is not set
+# CONFIG_NET_VENDOR_SAMSUNG is not set
+# CONFIG_NET_VENDOR_SEEQ is not set
+# CONFIG_NET_VENDOR_SILAN is not set
+# CONFIG_NET_VENDOR_SIS is not set
+# CONFIG_NET_VENDOR_SMSC is not set
 CONFIG_NET_VENDOR_SOLARFLARE=y
-CONFIG_NET_VENDOR_STMICRO=y
-CONFIG_NET_VENDOR_SUN=y
-CONFIG_NET_VENDOR_SYNOPSYS=y
-CONFIG_NET_VENDOR_TEHUTI=y
-CONFIG_NET_VENDOR_TI=y
-CONFIG_NET_VENDOR_VIA=y
-CONFIG_NET_VENDOR_WIZNET=y
+# CONFIG_NET_VENDOR_STMICRO is not set
+# CONFIG_NET_VENDOR_SUN is not set
+# CONFIG_NET_VENDOR_SYNOPSYS is not set
+# CONFIG_NET_VENDOR_TEHUTI is not set
+# CONFIG_NET_VENDOR_TI is not set
+# CONFIG_NET_VENDOR_VIA is not set
+# CONFIG_NET_VENDOR_WIZNET is not set
 CONFIG_NET_VRF=m
 CONFIG_NEW_LEDS=y
 CONFIG_NFC=m
@@ -3611,7 +3572,6 @@ CONFIG_NF_TABLES_IPV6=m
 CONFIG_NF_TABLES_NETDEV=m
 CONFIG_NI903X_WDT=m
 CONFIG_NILFS2_FS=m
-CONFIG_NIU=m
 # CONFIG_NL80211_TESTMODE is not set
 CONFIG_NLATTR=y
 CONFIG_NLMON=m
@@ -3682,7 +3642,6 @@ CONFIG_NO_HZ_COMMON=y
 CONFIG_NO_HZ_IDLE=y
 CONFIG_NR_CPUS=8192
 CONFIG_NR_DEV_DAX=32768
-CONFIG_NS83820=m
 CONFIG_NSC_FIR=m
 CONFIG_NTB=m
 # CONFIG_NTB_AMD is not set
@@ -3882,8 +3841,6 @@ CONFIG_PCI_QUIRKS=y
 CONFIG_PCI_REALLOC_ENABLE_AUTO=y
 CONFIG_PCI_STUB=m
 # CONFIG_PCMCIA is not set
-CONFIG_PCMCIA_XIRCOM=m
-CONFIG_PCNET32=m
 CONFIG_PCSPKR_PLATFORM=y
 CONFIG_PDA_POWER=m
 CONFIG_PDC_ADMA=m
@@ -4031,26 +3988,12 @@ CONFIG_PWM_PCA9685=m
 CONFIG_PWM_SYSFS=y
 CONFIG_PWM_TWL=m
 CONFIG_PWM_TWL_LED=m
-CONFIG_QCOM_EMAC=m
 CONFIG_QCOM_HIDMA=m
 CONFIG_QCOM_HIDMA_MGMT=m
 CONFIG_QCOM_SPMI_IADC=m
 CONFIG_QCOM_SPMI_VADC=m
-CONFIG_QED=m
-CONFIG_QEDE=m
-CONFIG_QEDI=m
-CONFIG_QED_ISCSI=y
-CONFIG_QED_LL2=y
-CONFIG_QED_RDMA=y
-CONFIG_QED_SRIOV=y
 CONFIG_QFMT_V1=m
 CONFIG_QFMT_V2=m
-CONFIG_QLA3XXX=m
-CONFIG_QLCNIC=m
-CONFIG_QLCNIC_DCB=y
-CONFIG_QLCNIC_HWMON=y
-CONFIG_QLCNIC_SRIOV=y
-CONFIG_QLGE=m
 CONFIG_QNX4FS_FS=m
 # CONFIG_QNX6FS_DEBUG is not set
 CONFIG_QNX6FS_FS=m
@@ -4065,7 +4008,6 @@ CONFIG_QUOTACTL_COMPAT=y
 CONFIG_QUOTA_NETLINK_INTERFACE=y
 CONFIG_QUOTA_TREE=m
 CONFIG_R3964=m
-CONFIG_R6040=m
 CONFIG_R8169=m
 CONFIG_RADIX_TREE_MULTIORDER=y
 CONFIG_RAID6_PQ=m
@@ -4251,7 +4193,6 @@ CONFIG_RMI4_F55=y
 CONFIG_RMI4_I2C=m
 CONFIG_RMI4_SMB=m
 CONFIG_RMI4_SPI=m
-CONFIG_ROCKER=m
 CONFIG_ROCKETPORT=m
 CONFIG_ROMFS_BACKED_BY_BLOCK=y
 CONFIG_ROMFS_FS=m
@@ -4372,7 +4313,6 @@ CONFIG_RT_MUTEXES=y
 CONFIG_RWSEM_SPIN_ON_OWNER=y
 CONFIG_RWSEM_XCHGADD_ALGORITHM=y
 CONFIG_RXKAD=y
-CONFIG_S2IO=m
 # CONFIG_SAMPLES is not set
 # CONFIG_SAMSUNG_LAPTOP is not set
 # CONFIG_SAMSUNG_Q10 is not set
@@ -4403,7 +4343,6 @@ CONFIG_SBITMAP=y
 CONFIG_SBNI=m
 # CONFIG_SBNI_MULTILINE is not set
 CONFIG_SC1200_WDT=m
-CONFIG_SC92031=m
 CONFIG_SCA3000=m
 CONFIG_SCHEDSTATS=y
 CONFIG_SCHED_AUTOGROUP=y
@@ -4821,8 +4760,6 @@ CONFIG_SIGMATEL_FIR=m
 CONFIG_SIGNALFD=y
 CONFIG_SIGNATURE=y
 CONFIG_SIGNED_PE_FILE_VERIFICATION=y
-CONFIG_SIS190=m
-CONFIG_SIS900=m
 CONFIG_SKFP=m
 CONFIG_SKGE=m
 # CONFIG_SKGE_DEBUG is not set
@@ -4847,9 +4784,6 @@ CONFIG_SLUB_DEBUG=y
 CONFIG_SMC_IRCC_FIR=m
 CONFIG_SMP=y
 CONFIG_SMSC37B787_WDT=m
-CONFIG_SMSC911X=m
-# CONFIG_SMSC911X_ARCH_HOOKS is not set
-CONFIG_SMSC9420=m
 CONFIG_SMSC_PHY=m
 CONFIG_SMSC_SCH311X_WDT=m
 CONFIG_SOCK_CGROUP_DATA=y
@@ -4937,9 +4871,6 @@ CONFIG_STK3310=m
 CONFIG_STK8312=m
 CONFIG_STK8BA50=m
 CONFIG_STM=m
-CONFIG_STMMAC_ETH=m
-# CONFIG_STMMAC_PCI is not set
-CONFIG_STMMAC_PLATFORM=m
 CONFIG_STM_DUMMY=m
 CONFIG_STM_SOURCE_CONSOLE=m
 CONFIG_STM_SOURCE_FTRACE=m
@@ -4951,8 +4882,6 @@ CONFIG_STRICT_DEVMEM=y
 CONFIG_STX104=m
 CONFIG_SUNDANCE=m
 # CONFIG_SUNDANCE_MMIO is not set
-CONFIG_SUNGEM=m
-CONFIG_SUNGEM_PHY=m
 CONFIG_SUNRPC=m
 CONFIG_SUNRPC_BACKCHANNEL=y
 CONFIG_SUNRPC_DEBUG=y
@@ -4972,7 +4901,6 @@ CONFIG_SWIOTLB=y
 CONFIG_SWPHY=y
 CONFIG_SW_SYNC=y
 CONFIG_SX9500=m
-CONFIG_SXGBE_ETH=m
 CONFIG_SYNCLINK=m
 CONFIG_SYNCLINKMP=m
 CONFIG_SYNCLINK_GT=m
@@ -5054,7 +4982,6 @@ CONFIG_TCP_CONG_YEAH=m
 CONFIG_TCP_MD5SIG=y
 CONFIG_TCS3414=m
 CONFIG_TCS3472=m
-CONFIG_TEHUTI=m
 CONFIG_TEKRAM_DONGLE=m
 CONFIG_TELCLOCK=m
 CONFIG_TERANETICS_PHY=m
@@ -5095,10 +5022,6 @@ CONFIG_THERMAL_WRITABLE_TRIPS=y
 # CONFIG_THINKPAD_ACPI is not set
 CONFIG_THREAD_INFO_IN_TASK=y
 # CONFIG_THUNDERBOLT is not set
-CONFIG_THUNDER_NIC_BGX=m
-CONFIG_THUNDER_NIC_PF=m
-CONFIG_THUNDER_NIC_RGX=m
-CONFIG_THUNDER_NIC_VF=m
 CONFIG_TICK_CPU_ACCOUNTING=y
 CONFIG_TICK_ONESHOT=y
 CONFIG_TIFM_7XX1=m
@@ -5116,11 +5039,9 @@ CONFIG_TI_ADC128S052=m
 CONFIG_TI_ADC161S626=m
 CONFIG_TI_ADS1015=m
 CONFIG_TI_AM335X_ADC=m
-CONFIG_TI_CPSW_ALE=m
 CONFIG_TI_DAC7512=m
 CONFIG_TI_ST=m
 CONFIG_TI_SYSCON_RESET=m
-CONFIG_TLAN=m
 CONFIG_TMP006=m
 CONFIG_TMPFS=y
 CONFIG_TMPFS_POSIX_ACL=y
@@ -5164,10 +5085,6 @@ CONFIG_TSYS02D=m
 # CONFIG_TTPCI_EEPROM is not set
 CONFIG_TTY=y
 CONFIG_TTY_PRINTK=y
-CONFIG_TULIP=m
-# CONFIG_TULIP_MMIO is not set
-# CONFIG_TULIP_MWI is not set
-# CONFIG_TULIP_NAPI is not set
 CONFIG_TUN=y
 # CONFIG_TUN_VNET_CROSS_LE is not set
 CONFIG_TWL4030_CORE=y
@@ -5175,7 +5092,6 @@ CONFIG_TWL4030_MADC=m
 CONFIG_TWL4030_WATCHDOG=m
 CONFIG_TWL6030_GPADC=m
 CONFIG_TWL6040_CORE=y
-CONFIG_TYPHOON=m
 # CONFIG_UBSAN is not set
 CONFIG_UCS2_STRING=y
 CONFIG_UCSI=m
@@ -5200,7 +5116,6 @@ CONFIG_UIO_PCI_GENERIC=m
 CONFIG_UIO_PDRV_GENIRQ=m
 CONFIG_UIO_PRUSS=m
 CONFIG_UIO_SERCOS3=m
-CONFIG_ULI526X=m
 CONFIG_ULTRIX_PARTITION=y
 CONFIG_UNISYSSPAR=y
 CONFIG_UNISYS_VISORBUS=m
@@ -5582,9 +5497,6 @@ CONFIG_VHOST_RING=m
 CONFIG_VHOST_SCSI=m
 CONFIG_VHOST_VSOCK=m
 CONFIG_VIA_FIR=m
-CONFIG_VIA_RHINE=m
-CONFIG_VIA_RHINE_MMIO=y
-CONFIG_VIA_VELOCITY=m
 CONFIG_VIA_WDT=m
 # CONFIG_VIDEO_ADV_DEBUG is not set
 # CONFIG_VIDEO_FIXED_MINOR_RANGES is not set
@@ -5628,7 +5540,6 @@ CONFIG_VMXNET3=m
 CONFIG_VM_EVENT_COUNTERS=y
 CONFIG_VOP=m
 CONFIG_VOP_BUS=m
-CONFIG_VORTEX=m
 CONFIG_VSOCKETS=m
 CONFIG_VT=y
 CONFIG_VT6655=m
@@ -5636,8 +5547,6 @@ CONFIG_VT_CONSOLE=y
 CONFIG_VT_CONSOLE_SLEEP=y
 CONFIG_VT_HW_CONSOLE_BINDING=y
 CONFIG_VXFS_FS=m
-CONFIG_VXGE=m
-# CONFIG_VXGE_DEBUG_TRACE_ALL is not set
 CONFIG_VXLAN=m
 CONFIG_VZ89X=m
 # CONFIG_W1 is not set
@@ -5663,15 +5572,8 @@ CONFIG_WEXT_PROC=y
 CONFIG_WILC1000=m
 CONFIG_WILC1000_SPI=m
 # CONFIG_WIMAX is not set
-CONFIG_WINBOND_840=m
 CONFIG_WINBOND_FIR=m
 CONFIG_WIRELESS=y
-CONFIG_WIZNET_BUS_ANY=y
-# CONFIG_WIZNET_BUS_DIRECT is not set
-# CONFIG_WIZNET_BUS_INDIRECT is not set
-CONFIG_WIZNET_W5100=m
-CONFIG_WIZNET_W5100_SPI=m
-CONFIG_WIZNET_W5300=m
 # CONFIG_WLAN is not set
 CONFIG_WM831X_BACKUP=m
 CONFIG_WM831X_POWER=m