diff --git a/debian.azure/control.stub.in b/debian.azure/control.stub.in
index 9a6be67..fdfe284 100644
--- a/debian.azure/control.stub.in
+++ b/debian.azure/control.stub.in
@@ -1,4 +1,4 @@
-Source: SRCPKGNAME
+Source: linux-aws
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
@@ -20,6 +20,7 @@ Build-Depends:
  flex <!stage1>,
  bison <!stage1>,
  libunwind8-dev [amd64 arm64 armhf i386 powerpc ppc64el] <!stage1>,
+ binutils-dev <!stage1>,
  liblzma-dev <!stage1>,
  openssl <!stage1>,
  libssl-dev <!stage1>,
@@ -43,7 +44,7 @@ Build-Depends-Indep:
  bzip2 <!stage1>,
  sharutils <!stage1>,
  asciidoc <!stage1>,
-Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/zesty
+Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/azure
 XS-Testsuite: autopkgtest
 #XS-Testsuite-Depends: gcc-4.7 binutils
 
@@ -52,7 +53,7 @@ Build-Profiles: <!stage1>
 Architecture: all
 Section: devel
 Priority: optional
-Provides: linux-source, linux-source-3
+Provides: SRCPKGNAME-source, SRCPKGNAME-source-3
 Depends: ${misc:Depends}, binutils, bzip2, coreutils
 Recommends: libc-dev, gcc, make
 Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
@@ -71,19 +72,6 @@ Description: Linux kernel source for version PKGVER with Ubuntu patches
  you do not want this package. Install the appropriate linux-headers
  package instead.
 
-Package: SRCPKGNAME-doc
-Build-Profiles: <!stage1>
-Architecture: all
-Section: doc
-Priority: optional
-Depends: ${misc:Depends}
-Description: Linux kernel specific documentation for version PKGVER
- This package provides the various documents in the PKGVER kernel
- Documentation/ subdirectory.  These document kernel subsystems, APIs, device
- drivers, and so on.  See
- /usr/share/doc/SRCPKGNAME-doc/00-INDEX for a list of what is
- contained in each file.
-
 Package: SRCPKGNAME-headers-PKGVER-ABINUM
 Build-Profiles: <!stage1>
 Architecture: all
@@ -96,19 +84,6 @@ Description: Header files related to Linux kernel version PKGVER
  that want the latest kernel headers. Please read
  /usr/share/doc/SRCPKGNAME-headers-PKGVER-ABINUM/debian.README.gz for details
 
-Package: SRCPKGNAME-libc-dev
-Architecture: i386 amd64 armhf arm64 x32 powerpc ppc64el s390x
-Depends: ${misc:Depends}
-Conflicts: SRCPKGNAME-kernel-headers
-Replaces: SRCPKGNAME-kernel-headers
-Provides: SRCPKGNAME-kernel-headers
-Multi-Arch: same
-Description: Linux Kernel Headers for development
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use SRCPKGNAME-headers-* packages for that.
-
 Package: SRCPKGNAME-tools-common
 Build-Profiles: <!stage1>
 Architecture: all
@@ -123,10 +98,10 @@ Description: Linux kernel version specific tools for version PKGVER
 
 Package: SRCPKGNAME-tools-PKGVER-ABINUM
 Build-Profiles: <!stage1>
-Architecture: i386 amd64 armhf arm64 powerpc ppc64el s390x
+Architecture: amd64
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
+Depends: ${misc:Depends}, ${shlibs:Depends}, SRCPKGNAME-tools-common
 Description: Linux kernel version specific tools for version PKGVER-ABINUM
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
@@ -147,10 +122,10 @@ Description: Linux kernel version specific cloud tools for version PKGVER
 
 Package: SRCPKGNAME-cloud-tools-PKGVER-ABINUM
 Build-Profiles: <!stage1>
-Architecture: i386 amd64 armhf
+Architecture: amd64
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
+Depends: ${misc:Depends}, ${shlibs:Depends}, SRCPKGNAME-cloud-tools-common
 Description: Linux kernel version specific cloud tools for version PKGVER-ABINUM
  This package provides the architecture dependant parts for kernel
  version locked tools for cloud tools for version PKGVER-ABINUM on