diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index 6e6ada9bd1e8..1e30244997e1 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -318,7 +318,6 @@ CONFIG_AUTOFS4_FS=m
 # CONFIG_AUXDISPLAY is not set
 CONFIG_AX25=m
 CONFIG_AX25_DAMA_SLAVE=y
-# CONFIG_AXP20X_POWER is not set
 CONFIG_B44=m
 CONFIG_B44_PCI=y
 CONFIG_B44_PCICORE_AUTOSELECT=y
@@ -329,17 +328,12 @@ CONFIG_B44_PCI_AUTOSELECT=y
 # CONFIG_BACKLIGHT_APPLE is not set
 # CONFIG_BACKLIGHT_BD6107 is not set
 CONFIG_BACKLIGHT_CLASS_DEVICE=y
-# CONFIG_BACKLIGHT_DA9052 is not set
 # CONFIG_BACKLIGHT_GENERIC is not set
 CONFIG_BACKLIGHT_LCD_SUPPORT=y
 # CONFIG_BACKLIGHT_LM3639 is not set
 # CONFIG_BACKLIGHT_LV5207LP is not set
-# CONFIG_BACKLIGHT_PCF50633 is not set
 # CONFIG_BACKLIGHT_PM8941_WLED is not set
 # CONFIG_BACKLIGHT_SAHARA is not set
-# CONFIG_BACKLIGHT_SKY81452 is not set
-# CONFIG_BACKLIGHT_TPS65217 is not set
-# CONFIG_BACKLIGHT_WM831X is not set
 # CONFIG_BACKTRACE_SELF_TEST is not set
 CONFIG_BALLOON_COMPACTION=y
 CONFIG_BASE_FULL=y
@@ -352,14 +346,12 @@ CONFIG_BATMAN_ADV_DAT=y
 CONFIG_BATMAN_ADV_MCAST=y
 CONFIG_BATMAN_ADV_NC=y
 # CONFIG_BATTERY_BQ27XXX is not set
-# CONFIG_BATTERY_DA9052 is not set
 # CONFIG_BATTERY_DS2780 is not set
 # CONFIG_BATTERY_DS2781 is not set
 # CONFIG_BATTERY_DS2782 is not set
 # CONFIG_BATTERY_GAUGE_LTC2941 is not set
 # CONFIG_BATTERY_MAX17040 is not set
 # CONFIG_BATTERY_MAX17042 is not set
-# CONFIG_BATTERY_RT5033 is not set
 # CONFIG_BATTERY_SBS is not set
 # CONFIG_BAYCOM_PAR is not set
 # CONFIG_BAYCOM_SER_FDX is not set
@@ -595,13 +587,9 @@ CONFIG_CGROUP_WRITEBACK=y
 # CONFIG_CHARGER_BQ2415X is not set
 # CONFIG_CHARGER_LP8727 is not set
 # CONFIG_CHARGER_MANAGER is not set
-# CONFIG_CHARGER_MAX14577 is not set
-# CONFIG_CHARGER_MAX77693 is not set
 # CONFIG_CHARGER_MAX8903 is not set
-# CONFIG_CHARGER_PCF50633 is not set
 # CONFIG_CHARGER_SBS is not set
 # CONFIG_CHARGER_SMB347 is not set
-# CONFIG_CHARGER_TPS65217 is not set
 CONFIG_CHECKPOINT_RESTORE=y
 CONFIG_CHECK_SIGNATURE=y
 CONFIG_CHELSIO_T1=m
@@ -656,7 +644,6 @@ CONFIG_COMMON_CLK=y
 # CONFIG_COMMON_CLK_PIC32 is not set
 # CONFIG_COMMON_CLK_PXA is not set
 # CONFIG_COMMON_CLK_SI5351 is not set
-# CONFIG_COMMON_CLK_WM831X is not set
 CONFIG_COMPACTION=y
 # CONFIG_COMPAL_LAPTOP is not set
 CONFIG_COMPAT=y
@@ -884,8 +871,6 @@ CONFIG_CUSE=m
 CONFIG_CX_ECAT=m
 CONFIG_CYCLADES=m
 # CONFIG_CYZ_INTR is not set
-CONFIG_DA9052_WATCHDOG=m
-CONFIG_DA9063_WATCHDOG=m
 # CONFIG_DAVICOM_PHY is not set
 CONFIG_DCA=m
 CONFIG_DCACHE_WORD_ACCESS=y
@@ -1629,7 +1614,7 @@ CONFIG_HUGETLB_PAGE=y
 CONFIG_HWLAT_TRACER=y
 CONFIG_HWMON=y
 # CONFIG_HWMON_DEBUG_CHIP is not set
-CONFIG_HWMON_VID=m
+# CONFIG_HWMON_VID is not set
 CONFIG_HWPOISON_INJECT=m
 CONFIG_HW_CONSOLE=y
 CONFIG_HW_RANDOM=y
@@ -1824,11 +1809,8 @@ CONFIG_INPUT=y
 # CONFIG_INPUT_ADXL34X is not set
 # CONFIG_INPUT_APANEL is not set
 # CONFIG_INPUT_ATLAS_BTNS is not set
-# CONFIG_INPUT_AXP20X_PEK is not set
 # CONFIG_INPUT_BMA150 is not set
 # CONFIG_INPUT_CMA3000 is not set
-# CONFIG_INPUT_DA9052_ONKEY is not set
-# CONFIG_INPUT_DA9063_ONKEY is not set
 # CONFIG_INPUT_DRV2665_HAPTICS is not set
 # CONFIG_INPUT_DRV2667_HAPTICS is not set
 # CONFIG_INPUT_E3X0_BUTTON is not set
@@ -1842,7 +1824,6 @@ CONFIG_INPUT_KEYBOARD=y
 # CONFIG_INPUT_KXTJ9 is not set
 # CONFIG_INPUT_LEDS is not set
 CONFIG_INPUT_MATRIXKMAP=m
-# CONFIG_INPUT_MC13783_PWRBUTTON is not set
 CONFIG_INPUT_MISC=y
 # CONFIG_INPUT_MMA8450 is not set
 # CONFIG_INPUT_MOUSE is not set
@@ -1851,18 +1832,14 @@ CONFIG_INPUT_MOUSEDEV_PSAUX=y
 CONFIG_INPUT_MOUSEDEV_SCREEN_X=1024
 CONFIG_INPUT_MOUSEDEV_SCREEN_Y=768
 # CONFIG_INPUT_PCAP is not set
-# CONFIG_INPUT_PCF50633_PMU is not set
 # CONFIG_INPUT_PCF8574 is not set
 # CONFIG_INPUT_PCSPKR is not set
 CONFIG_INPUT_POLLDEV=m
 # CONFIG_INPUT_REGULATOR_HAPTIC is not set
-# CONFIG_INPUT_RETU_PWRBUTTON is not set
 CONFIG_INPUT_SPARSEKMAP=m
 CONFIG_INPUT_TABLET=y
 # CONFIG_INPUT_TOUCHSCREEN is not set
-# CONFIG_INPUT_TPS65218_PWRBUTTON is not set
 CONFIG_INPUT_UINPUT=y
-# CONFIG_INPUT_WM831X_ON is not set
 CONFIG_INSTRUCTION_DECODER=y
 # CONFIG_INT340X_THERMAL is not set
 CONFIG_INTEGRITY=y
@@ -2194,7 +2171,6 @@ CONFIG_LEDS_BRIGHTNESS_HW_CHANGED=y
 CONFIG_LEDS_CLASS=m
 # CONFIG_LEDS_CLASS_FLASH is not set
 # CONFIG_LEDS_CLEVO_MAIL is not set
-# CONFIG_LEDS_DA9052 is not set
 # CONFIG_LEDS_DAC124S085 is not set
 # CONFIG_LEDS_INTEL_SS4200 is not set
 # CONFIG_LEDS_LM3530 is not set
@@ -2206,7 +2182,6 @@ CONFIG_LEDS_CLASS=m
 # CONFIG_LEDS_LP5562 is not set
 # CONFIG_LEDS_LP8501 is not set
 # CONFIG_LEDS_LP8860 is not set
-# CONFIG_LEDS_MC13783 is not set
 # CONFIG_LEDS_MENF21BMC is not set
 # CONFIG_LEDS_MLXCPLD is not set
 # CONFIG_LEDS_NIC78BX is not set
@@ -2228,7 +2203,6 @@ CONFIG_LEDS_TRIGGERS=y
 # CONFIG_LEDS_TRIGGER_TIMER is not set
 # CONFIG_LEDS_TRIGGER_TRANSIENT is not set
 # CONFIG_LEDS_USER is not set
-# CONFIG_LEDS_WM831X_STATUS is not set
 # CONFIG_LED_TRIGGER_PHY is not set
 # CONFIG_LEGACY_PTYS is not set
 CONFIG_LEGACY_VSYSCALL_EMULATE=y
@@ -2357,19 +2331,16 @@ CONFIG_MEM_SOFT_DIRTY=y
 CONFIG_MENF21BMC_WATCHDOG=m
 CONFIG_MESSAGE_LOGLEVEL_DEFAULT=4
 # CONFIG_MFD_88PM800 is not set
-CONFIG_MFD_88PM805=m
-CONFIG_MFD_ARIZONA=y
-CONFIG_MFD_ARIZONA_I2C=m
-CONFIG_MFD_ARIZONA_SPI=m
-CONFIG_MFD_AXP20X=m
-CONFIG_MFD_AXP20X_I2C=m
-CONFIG_MFD_BCM590XX=m
-CONFIG_MFD_CORE=y
+# CONFIG_MFD_88PM805 is not set
+# CONFIG_MFD_ARIZONA_I2C is not set
+# CONFIG_MFD_ARIZONA_SPI is not set
+# CONFIG_MFD_AXP20X_I2C is not set
+# CONFIG_MFD_BCM590XX is not set
+CONFIG_MFD_CORE=m
 # CONFIG_MFD_CROS_EC is not set
-CONFIG_MFD_CS47L24=y
-CONFIG_MFD_DA9052_SPI=y
+# CONFIG_MFD_DA9052_SPI is not set
 # CONFIG_MFD_DA9062 is not set
-CONFIG_MFD_DA9063=m
+# CONFIG_MFD_DA9063 is not set
 # CONFIG_MFD_DA9150 is not set
 CONFIG_MFD_INTEL_LPSS=m
 CONFIG_MFD_INTEL_LPSS_ACPI=m
@@ -2378,42 +2349,35 @@ CONFIG_MFD_INTEL_QUARK_I2C_GPIO=m
 CONFIG_MFD_JANZ_CMODIO=m
 # CONFIG_MFD_KEMPLD is not set
 # CONFIG_MFD_LM3533 is not set
-CONFIG_MFD_LP3943=m
-CONFIG_MFD_MAX14577=m
-CONFIG_MFD_MAX77693=m
-CONFIG_MFD_MAX8907=m
-CONFIG_MFD_MC13XXX=m
-CONFIG_MFD_MC13XXX_I2C=m
-CONFIG_MFD_MC13XXX_SPI=m
+# CONFIG_MFD_LP3943 is not set
+# CONFIG_MFD_MAX14577 is not set
+# CONFIG_MFD_MAX77693 is not set
+# CONFIG_MFD_MAX8907 is not set
+# CONFIG_MFD_MC13XXX_I2C is not set
+# CONFIG_MFD_MC13XXX_SPI is not set
 CONFIG_MFD_MENF21BMC=m
 # CONFIG_MFD_MT6397 is not set
-CONFIG_MFD_PCF50633=m
+# CONFIG_MFD_PCF50633 is not set
 CONFIG_MFD_RDC321X=m
-CONFIG_MFD_RETU=m
-CONFIG_MFD_RT5033=m
+# CONFIG_MFD_RETU is not set
+# CONFIG_MFD_RT5033 is not set
 CONFIG_MFD_RTSX_PCI=m
 # CONFIG_MFD_SI476X_CORE is not set
-CONFIG_MFD_SKY81452=m
+# CONFIG_MFD_SKY81452 is not set
 CONFIG_MFD_SM501=m
-CONFIG_MFD_SYSCON=y
-CONFIG_MFD_TI_AM335X_TSCADC=m
-CONFIG_MFD_TI_LP873X=m
+# CONFIG_MFD_SYSCON is not set
+# CONFIG_MFD_TI_AM335X_TSCADC is not set
+# CONFIG_MFD_TI_LP873X is not set
 # CONFIG_MFD_TMIO is not set
-CONFIG_MFD_TPS65086=m
-CONFIG_MFD_TPS65217=m
-CONFIG_MFD_TPS65218=m
-CONFIG_MFD_TPS65912=y
-CONFIG_MFD_TPS65912_I2C=m
-CONFIG_MFD_TPS65912_SPI=y
+# CONFIG_MFD_TPS65086 is not set
+# CONFIG_MFD_TPS65217 is not set
+# CONFIG_MFD_TPS65218 is not set
+# CONFIG_MFD_TPS65912_I2C is not set
+# CONFIG_MFD_TPS65912_SPI is not set
 CONFIG_MFD_VX855=m
 # CONFIG_MFD_WL1273_CORE is not set
-CONFIG_MFD_WM5102=y
-CONFIG_MFD_WM5110=y
-CONFIG_MFD_WM831X=y
-CONFIG_MFD_WM831X_SPI=y
-CONFIG_MFD_WM8994=m
-CONFIG_MFD_WM8997=y
-CONFIG_MFD_WM8998=y
+# CONFIG_MFD_WM831X_SPI is not set
+# CONFIG_MFD_WM8994 is not set
 # CONFIG_MICREL_KS8995MA is not set
 # CONFIG_MICREL_PHY is not set
 # CONFIG_MICROCHIP_PHY is not set
@@ -3148,8 +3112,6 @@ CONFIG_PC300TOO=m
 CONFIG_PC87413_WDT=m
 CONFIG_PCC=y
 CONFIG_PCCARD=m
-CONFIG_PCF50633_ADC=m
-CONFIG_PCF50633_GPIO=m
 CONFIG_PCI=y
 CONFIG_PCI200SYN=m
 CONFIG_PCIEAER=y
@@ -3214,7 +3176,6 @@ CONFIG_PKCS7_TEST_KEY=m
 CONFIG_PM=y
 # CONFIG_PMBUS is not set
 CONFIG_PMC_ATOM=y
-CONFIG_PMIC_DA9052=y
 # CONFIG_PMIC_OPREGION is not set
 CONFIG_PM_ADVANCED_DEBUG=y
 CONFIG_PM_CLK=y
@@ -3365,19 +3326,9 @@ CONFIG_RD_XZ=y
 CONFIG_REED_SOLOMON=m
 CONFIG_REED_SOLOMON_DEC8=y
 CONFIG_REED_SOLOMON_ENC8=y
-CONFIG_REGMAP=y
-CONFIG_REGMAP_I2C=m
-CONFIG_REGMAP_IRQ=y
-CONFIG_REGMAP_MMIO=y
-CONFIG_REGMAP_SPI=y
 CONFIG_REGULATOR=y
 # CONFIG_REGULATOR_ACT8865 is not set
 # CONFIG_REGULATOR_AD5398 is not set
-# CONFIG_REGULATOR_ANATOP is not set
-# CONFIG_REGULATOR_AXP20X is not set
-# CONFIG_REGULATOR_BCM590XX is not set
-# CONFIG_REGULATOR_DA9052 is not set
-# CONFIG_REGULATOR_DA9063 is not set
 # CONFIG_REGULATOR_DA9210 is not set
 # CONFIG_REGULATOR_DA9211 is not set
 # CONFIG_REGULATOR_DEBUG is not set
@@ -3391,37 +3342,23 @@ CONFIG_REGULATOR_FIXED_VOLTAGE=m
 # CONFIG_REGULATOR_LP8755 is not set
 # CONFIG_REGULATOR_LTC3589 is not set
 # CONFIG_REGULATOR_LTC3676 is not set
-# CONFIG_REGULATOR_MAX14577 is not set
 # CONFIG_REGULATOR_MAX1586 is not set
-# CONFIG_REGULATOR_MAX77693 is not set
 # CONFIG_REGULATOR_MAX8649 is not set
 # CONFIG_REGULATOR_MAX8660 is not set
-# CONFIG_REGULATOR_MAX8907 is not set
 # CONFIG_REGULATOR_MAX8952 is not set
-# CONFIG_REGULATOR_MC13783 is not set
-# CONFIG_REGULATOR_MC13892 is not set
 # CONFIG_REGULATOR_MT6311 is not set
 # CONFIG_REGULATOR_PCAP is not set
-# CONFIG_REGULATOR_PCF50633 is not set
 # CONFIG_REGULATOR_PFUZE100 is not set
 # CONFIG_REGULATOR_PV88060 is not set
 # CONFIG_REGULATOR_PV88080 is not set
 # CONFIG_REGULATOR_PV88090 is not set
-# CONFIG_REGULATOR_RT5033 is not set
-# CONFIG_REGULATOR_SKY81452 is not set
 # CONFIG_REGULATOR_TPS51632 is not set
-# CONFIG_REGULATOR_TPS6105X is not set
 # CONFIG_REGULATOR_TPS62360 is not set
 # CONFIG_REGULATOR_TPS65023 is not set
 # CONFIG_REGULATOR_TPS6507X is not set
-# CONFIG_REGULATOR_TPS65086 is not set
-# CONFIG_REGULATOR_TPS65217 is not set
 # CONFIG_REGULATOR_TPS6524X is not set
-# CONFIG_REGULATOR_TPS65912 is not set
 # CONFIG_REGULATOR_USERSPACE_CONSUMER is not set
 # CONFIG_REGULATOR_VIRTUAL_CONSUMER is not set
-# CONFIG_REGULATOR_WM831X is not set
-# CONFIG_REGULATOR_WM8994 is not set
 # CONFIG_REISERFS_CHECK is not set
 CONFIG_REISERFS_FS=m
 CONFIG_REISERFS_FS_POSIX_ACL=y
@@ -3442,7 +3379,6 @@ CONFIG_RESET_CONTROLLER=y
 # CONFIG_RESET_SUNXI is not set
 # CONFIG_RESET_TEGRA_BPMP is not set
 # CONFIG_RESET_ZYNQ is not set
-CONFIG_RETU_WATCHDOG=m
 CONFIG_RFKILL=y
 CONFIG_RFKILL_INPUT=y
 CONFIG_RFKILL_LEDS=y
@@ -3655,157 +3591,152 @@ CONFIG_SECURITY_TOMOYO_MAX_AUDIT_LOG=1024
 CONFIG_SECURITY_TOMOYO_POLICY_LOADER="/sbin/tomoyo-init"
 CONFIG_SECURITY_YAMA=y
 CONFIG_SELECT_MEMORY_MODEL=y
-CONFIG_SENSORS_ABITUGURU=m
-CONFIG_SENSORS_ABITUGURU3=m
+# CONFIG_SENSORS_ABITUGURU is not set
+# CONFIG_SENSORS_ABITUGURU3 is not set
 CONFIG_SENSORS_ACPI_POWER=m
-CONFIG_SENSORS_AD7314=m
-CONFIG_SENSORS_AD7414=m
-CONFIG_SENSORS_AD7418=m
-CONFIG_SENSORS_ADC128D818=m
-CONFIG_SENSORS_ADCXX=m
-CONFIG_SENSORS_ADM1021=m
-CONFIG_SENSORS_ADM1025=m
-CONFIG_SENSORS_ADM1026=m
-CONFIG_SENSORS_ADM1029=m
-CONFIG_SENSORS_ADM1031=m
-CONFIG_SENSORS_ADM9240=m
-CONFIG_SENSORS_ADS1015=m
-CONFIG_SENSORS_ADS7828=m
-CONFIG_SENSORS_ADS7871=m
-CONFIG_SENSORS_ADT7310=m
-CONFIG_SENSORS_ADT7410=m
-CONFIG_SENSORS_ADT7411=m
-CONFIG_SENSORS_ADT7462=m
-CONFIG_SENSORS_ADT7470=m
-CONFIG_SENSORS_ADT7475=m
-CONFIG_SENSORS_ADT7X10=m
-CONFIG_SENSORS_AMC6821=m
-CONFIG_SENSORS_APDS990X=m
-CONFIG_SENSORS_APPLESMC=m
-CONFIG_SENSORS_ASB100=m
-CONFIG_SENSORS_ASC7621=m
-CONFIG_SENSORS_ATK0110=m
-CONFIG_SENSORS_ATXP1=m
-CONFIG_SENSORS_BH1770=m
-CONFIG_SENSORS_CORETEMP=m
-CONFIG_SENSORS_DA9052_ADC=m
+# CONFIG_SENSORS_AD7314 is not set
+# CONFIG_SENSORS_AD7414 is not set
+# CONFIG_SENSORS_AD7418 is not set
+# CONFIG_SENSORS_ADC128D818 is not set
+# CONFIG_SENSORS_ADCXX is not set
+# CONFIG_SENSORS_ADM1021 is not set
+# CONFIG_SENSORS_ADM1025 is not set
+# CONFIG_SENSORS_ADM1026 is not set
+# CONFIG_SENSORS_ADM1029 is not set
+# CONFIG_SENSORS_ADM1031 is not set
+# CONFIG_SENSORS_ADM9240 is not set
+# CONFIG_SENSORS_ADS1015 is not set
+# CONFIG_SENSORS_ADS7828 is not set
+# CONFIG_SENSORS_ADS7871 is not set
+# CONFIG_SENSORS_ADT7310 is not set
+# CONFIG_SENSORS_ADT7410 is not set
+# CONFIG_SENSORS_ADT7411 is not set
+# CONFIG_SENSORS_ADT7462 is not set
+# CONFIG_SENSORS_ADT7470 is not set
+# CONFIG_SENSORS_ADT7475 is not set
+# CONFIG_SENSORS_AMC6821 is not set
+# CONFIG_SENSORS_APDS990X is not set
+# CONFIG_SENSORS_APPLESMC is not set
+# CONFIG_SENSORS_ASB100 is not set
+# CONFIG_SENSORS_ASC7621 is not set
+# CONFIG_SENSORS_ATK0110 is not set
+# CONFIG_SENSORS_ATXP1 is not set
+# CONFIG_SENSORS_BH1770 is not set
+# CONFIG_SENSORS_CORETEMP is not set
 CONFIG_SENSORS_DELL_SMM=m
-CONFIG_SENSORS_DME1737=m
-CONFIG_SENSORS_DS1621=m
-CONFIG_SENSORS_DS620=m
-CONFIG_SENSORS_EMC1403=m
-CONFIG_SENSORS_EMC2103=m
-CONFIG_SENSORS_EMC6W201=m
-CONFIG_SENSORS_F71805F=m
-CONFIG_SENSORS_F71882FG=m
-CONFIG_SENSORS_F75375S=m
-CONFIG_SENSORS_FAM15H_POWER=m
-CONFIG_SENSORS_FSCHMD=m
-CONFIG_SENSORS_FTSTEUTATES=m
-CONFIG_SENSORS_G760A=m
-CONFIG_SENSORS_G762=m
-CONFIG_SENSORS_GL518SM=m
-CONFIG_SENSORS_GL520SM=m
+# CONFIG_SENSORS_DME1737 is not set
+# CONFIG_SENSORS_DS1621 is not set
+# CONFIG_SENSORS_DS620 is not set
+# CONFIG_SENSORS_EMC1403 is not set
+# CONFIG_SENSORS_EMC2103 is not set
+# CONFIG_SENSORS_EMC6W201 is not set
+# CONFIG_SENSORS_F71805F is not set
+# CONFIG_SENSORS_F71882FG is not set
+# CONFIG_SENSORS_F75375S is not set
+# CONFIG_SENSORS_FAM15H_POWER is not set
+# CONFIG_SENSORS_FSCHMD is not set
+# CONFIG_SENSORS_FTSTEUTATES is not set
+# CONFIG_SENSORS_G760A is not set
+# CONFIG_SENSORS_G762 is not set
+# CONFIG_SENSORS_GL518SM is not set
+# CONFIG_SENSORS_GL520SM is not set
 # CONFIG_SENSORS_HDAPS is not set
-CONFIG_SENSORS_HIH6130=m
-CONFIG_SENSORS_I5500=m
-CONFIG_SENSORS_I5K_AMB=m
-CONFIG_SENSORS_IBMAEM=m
-CONFIG_SENSORS_IBMPEX=m
-CONFIG_SENSORS_INA209=m
-CONFIG_SENSORS_INA2XX=m
-CONFIG_SENSORS_INA3221=m
-CONFIG_SENSORS_IT87=m
-CONFIG_SENSORS_JC42=m
-CONFIG_SENSORS_K10TEMP=m
-CONFIG_SENSORS_K8TEMP=m
-CONFIG_SENSORS_LINEAGE=m
+# CONFIG_SENSORS_HIH6130 is not set
+# CONFIG_SENSORS_I5500 is not set
+# CONFIG_SENSORS_I5K_AMB is not set
+# CONFIG_SENSORS_IBMAEM is not set
+# CONFIG_SENSORS_IBMPEX is not set
+# CONFIG_SENSORS_INA209 is not set
+# CONFIG_SENSORS_INA2XX is not set
+# CONFIG_SENSORS_INA3221 is not set
+# CONFIG_SENSORS_IT87 is not set
+# CONFIG_SENSORS_JC42 is not set
+# CONFIG_SENSORS_K10TEMP is not set
+# CONFIG_SENSORS_K8TEMP is not set
+# CONFIG_SENSORS_LINEAGE is not set
 # CONFIG_SENSORS_LIS3LV02D is not set
 # CONFIG_SENSORS_LIS3_I2C is not set
-CONFIG_SENSORS_LM63=m
-CONFIG_SENSORS_LM70=m
-CONFIG_SENSORS_LM73=m
-CONFIG_SENSORS_LM75=m
-CONFIG_SENSORS_LM77=m
-CONFIG_SENSORS_LM78=m
-CONFIG_SENSORS_LM80=m
-CONFIG_SENSORS_LM83=m
-CONFIG_SENSORS_LM85=m
-CONFIG_SENSORS_LM87=m
-CONFIG_SENSORS_LM90=m
-CONFIG_SENSORS_LM92=m
-CONFIG_SENSORS_LM93=m
-CONFIG_SENSORS_LM95234=m
-CONFIG_SENSORS_LM95241=m
-CONFIG_SENSORS_LM95245=m
-CONFIG_SENSORS_LTC2945=m
-CONFIG_SENSORS_LTC2990=m
-CONFIG_SENSORS_LTC4151=m
-CONFIG_SENSORS_LTC4215=m
-CONFIG_SENSORS_LTC4222=m
-CONFIG_SENSORS_LTC4245=m
-CONFIG_SENSORS_LTC4260=m
-CONFIG_SENSORS_LTC4261=m
-CONFIG_SENSORS_MAX1111=m
-CONFIG_SENSORS_MAX16065=m
-CONFIG_SENSORS_MAX1619=m
-CONFIG_SENSORS_MAX1668=m
-CONFIG_SENSORS_MAX197=m
-CONFIG_SENSORS_MAX31722=m
-CONFIG_SENSORS_MAX31790=m
-CONFIG_SENSORS_MAX6639=m
-CONFIG_SENSORS_MAX6642=m
-CONFIG_SENSORS_MAX6650=m
-CONFIG_SENSORS_MAX6697=m
-CONFIG_SENSORS_MC13783_ADC=m
-CONFIG_SENSORS_MCP3021=m
-CONFIG_SENSORS_MENF21BMC_HWMON=m
-CONFIG_SENSORS_NCT6683=m
-CONFIG_SENSORS_NCT6775=m
-CONFIG_SENSORS_NCT7802=m
-CONFIG_SENSORS_NCT7904=m
-CONFIG_SENSORS_NTC_THERMISTOR=m
-CONFIG_SENSORS_PC87360=m
-CONFIG_SENSORS_PC87427=m
-CONFIG_SENSORS_PCF8591=m
-CONFIG_SENSORS_POWR1220=m
-CONFIG_SENSORS_SCH5627=m
-CONFIG_SENSORS_SCH5636=m
-CONFIG_SENSORS_SCH56XX_COMMON=m
-CONFIG_SENSORS_SHT21=m
-CONFIG_SENSORS_SHT3x=m
-CONFIG_SENSORS_SHTC1=m
-CONFIG_SENSORS_SIS5595=m
-CONFIG_SENSORS_SMM665=m
-CONFIG_SENSORS_SMSC47B397=m
-CONFIG_SENSORS_SMSC47M1=m
-CONFIG_SENSORS_SMSC47M192=m
-CONFIG_SENSORS_STTS751=m
-CONFIG_SENSORS_TC654=m
-CONFIG_SENSORS_TC74=m
-CONFIG_SENSORS_THMC50=m
-CONFIG_SENSORS_TMP102=m
-CONFIG_SENSORS_TMP103=m
-CONFIG_SENSORS_TMP108=m
-CONFIG_SENSORS_TMP401=m
-CONFIG_SENSORS_TMP421=m
-CONFIG_SENSORS_TSL2550=m
-CONFIG_SENSORS_VIA686A=m
-CONFIG_SENSORS_VIA_CPUTEMP=m
-CONFIG_SENSORS_VT1211=m
-CONFIG_SENSORS_VT8231=m
-CONFIG_SENSORS_W83627EHF=m
-CONFIG_SENSORS_W83627HF=m
-CONFIG_SENSORS_W83781D=m
-CONFIG_SENSORS_W83791D=m
-CONFIG_SENSORS_W83792D=m
-CONFIG_SENSORS_W83793=m
-CONFIG_SENSORS_W83795=m
-# CONFIG_SENSORS_W83795_FANCTRL is not set
-CONFIG_SENSORS_W83L785TS=m
-CONFIG_SENSORS_W83L786NG=m
-CONFIG_SENSORS_WM831X=m
-CONFIG_SENSORS_XGENE=m
+# CONFIG_SENSORS_LM63 is not set
+# CONFIG_SENSORS_LM70 is not set
+# CONFIG_SENSORS_LM73 is not set
+# CONFIG_SENSORS_LM75 is not set
+# CONFIG_SENSORS_LM77 is not set
+# CONFIG_SENSORS_LM78 is not set
+# CONFIG_SENSORS_LM80 is not set
+# CONFIG_SENSORS_LM83 is not set
+# CONFIG_SENSORS_LM85 is not set
+# CONFIG_SENSORS_LM87 is not set
+# CONFIG_SENSORS_LM90 is not set
+# CONFIG_SENSORS_LM92 is not set
+# CONFIG_SENSORS_LM93 is not set
+# CONFIG_SENSORS_LM95234 is not set
+# CONFIG_SENSORS_LM95241 is not set
+# CONFIG_SENSORS_LM95245 is not set
+# CONFIG_SENSORS_LTC2945 is not set
+# CONFIG_SENSORS_LTC2990 is not set
+# CONFIG_SENSORS_LTC4151 is not set
+# CONFIG_SENSORS_LTC4215 is not set
+# CONFIG_SENSORS_LTC4222 is not set
+# CONFIG_SENSORS_LTC4245 is not set
+# CONFIG_SENSORS_LTC4260 is not set
+# CONFIG_SENSORS_LTC4261 is not set
+# CONFIG_SENSORS_MAX1111 is not set
+# CONFIG_SENSORS_MAX16065 is not set
+# CONFIG_SENSORS_MAX1619 is not set
+# CONFIG_SENSORS_MAX1668 is not set
+# CONFIG_SENSORS_MAX197 is not set
+# CONFIG_SENSORS_MAX31722 is not set
+# CONFIG_SENSORS_MAX31790 is not set
+# CONFIG_SENSORS_MAX6639 is not set
+# CONFIG_SENSORS_MAX6642 is not set
+# CONFIG_SENSORS_MAX6650 is not set
+# CONFIG_SENSORS_MAX6697 is not set
+# CONFIG_SENSORS_MCP3021 is not set
+# CONFIG_SENSORS_MENF21BMC_HWMON is not set
+# CONFIG_SENSORS_NCT6683 is not set
+# CONFIG_SENSORS_NCT6775 is not set
+# CONFIG_SENSORS_NCT7802 is not set
+# CONFIG_SENSORS_NCT7904 is not set
+# CONFIG_SENSORS_NTC_THERMISTOR is not set
+# CONFIG_SENSORS_PC87360 is not set
+# CONFIG_SENSORS_PC87427 is not set
+# CONFIG_SENSORS_PCF8591 is not set
+# CONFIG_SENSORS_POWR1220 is not set
+# CONFIG_SENSORS_SCH5627 is not set
+# CONFIG_SENSORS_SCH5636 is not set
+# CONFIG_SENSORS_SCH56XX_COMMON is not set
+# CONFIG_SENSORS_SHT21 is not set
+# CONFIG_SENSORS_SHT3x is not set
+# CONFIG_SENSORS_SHTC1 is not set
+# CONFIG_SENSORS_SIS5595 is not set
+# CONFIG_SENSORS_SMM665 is not set
+# CONFIG_SENSORS_SMSC47B397 is not set
+# CONFIG_SENSORS_SMSC47M1 is not set
+# CONFIG_SENSORS_SMSC47M192 is not set
+# CONFIG_SENSORS_STTS751 is not set
+# CONFIG_SENSORS_TC654 is not set
+# CONFIG_SENSORS_TC74 is not set
+# CONFIG_SENSORS_THMC50 is not set
+# CONFIG_SENSORS_TMP102 is not set
+# CONFIG_SENSORS_TMP103 is not set
+# CONFIG_SENSORS_TMP108 is not set
+# CONFIG_SENSORS_TMP401 is not set
+# CONFIG_SENSORS_TMP421 is not set
+# CONFIG_SENSORS_TSL2550 is not set
+# CONFIG_SENSORS_VIA686A is not set
+# CONFIG_SENSORS_VIA_CPUTEMP is not set
+# CONFIG_SENSORS_VT1211 is not set
+# CONFIG_SENSORS_VT8231 is not set
+# CONFIG_SENSORS_W83627EHF is not set
+# CONFIG_SENSORS_W83627HF is not set
+# CONFIG_SENSORS_W83781D is not set
+# CONFIG_SENSORS_W83791D is not set
+# CONFIG_SENSORS_W83792D is not set
+# CONFIG_SENSORS_W83793 is not set
+# CONFIG_SENSORS_W83795 is not set
+# CONFIG_SENSORS_W83L785TS is not set
+# CONFIG_SENSORS_W83L786NG is not set
+# CONFIG_SENSORS_XGENE is not set
 CONFIG_SERIAL_8250=y
 # CONFIG_SERIAL_8250_CONSOLE is not set
 # CONFIG_SERIAL_8250_DEPRECATED_OPTIONS is not set
@@ -3839,10 +3770,7 @@ CONFIG_SERIAL_MEN_Z135=m
 CONFIG_SERIAL_NONSTANDARD=y
 CONFIG_SERIAL_RP2=m
 CONFIG_SERIAL_RP2_NR_UARTS=32
-CONFIG_SERIAL_SC16IS7XX=m
-CONFIG_SERIAL_SC16IS7XX_CORE=m
-CONFIG_SERIAL_SC16IS7XX_I2C=y
-CONFIG_SERIAL_SC16IS7XX_SPI=y
+# CONFIG_SERIAL_SC16IS7XX is not set
 # CONFIG_SERIAL_SCCNXP is not set
 CONFIG_SERIAL_UARTLITE=m
 CONFIG_SERIO=y
@@ -4134,7 +4062,7 @@ CONFIG_TORTURE_TEST=m
 # CONFIG_TOSHIBA_BT_RFKILL is not set
 # CONFIG_TOSHIBA_HAPS is not set
 # CONFIG_TOSHIBA_WMI is not set
-CONFIG_TPS6105X=m
+# CONFIG_TPS6105X is not set
 CONFIG_TPS6507X=m
 CONFIG_TRACEPOINTS=y
 # CONFIG_TRACEPOINT_BENCHMARK is not set
@@ -4303,9 +4231,6 @@ CONFIG_WEXT_PROC=y
 CONFIG_WINBOND_FIR=m
 CONFIG_WIRELESS=y
 # CONFIG_WLAN is not set
-# CONFIG_WM831X_BACKUP is not set
-# CONFIG_WM831X_POWER is not set
-CONFIG_WM831X_WATCHDOG=m
 CONFIG_WQ_POWER_EFFICIENT_DEFAULT=y
 # CONFIG_WQ_WATCHDOG is not set
 # CONFIG_WW_MUTEX_SELFTEST is not set