diff --git a/debian.azure/abi/4.11.0-1005.5/amd64/azure.modules b/debian.azure/abi/4.11.0-1005.5/amd64/azure.modules
index 4cb08c7829d9..43851f628415 100644
--- a/debian.azure/abi/4.11.0-1005.5/amd64/azure.modules
+++ b/debian.azure/abi/4.11.0-1005.5/amd64/azure.modules
@@ -1,7 +1,5 @@
 6lowpan
 8021q
-8139cp
-8139too
 842
 842_compress
 842_decompress
@@ -63,13 +61,11 @@ auth_rpcgss
 autofs4
 ax25
 bcache
-be2net
 binfmt_misc
 blocklayoutdriver
 blowfish_common
 blowfish_generic
 blowfish-x86_64
-bnx2x
 bonding
 br2684
 brd
@@ -177,8 +173,6 @@ drm
 drm_kms_helper
 drop_monitor
 dummy
-e1000
-e1000e
 ebt_802_3
 ebtable_broute
 ebtable_filter
@@ -220,7 +214,6 @@ esp6
 esp6_offload
 evbug
 faulty
-fb_ddc
 fb_sys_fops
 fcrypt
 fou
@@ -249,7 +242,6 @@ hyperv-keyboard
 i2c-algo-bit
 i2c-core
 i2c-piix4
-i40e
 ib_cm
 ib_core
 ib_iser
@@ -258,11 +250,8 @@ ieee802154
 ieee802154_6lowpan
 ieee802154_socket
 ifb
-igb
-igbvf
 ila
 inet_diag
-intelfb
 interval_tree_test
 ip6_gre
 ip6table_filter
@@ -359,8 +348,6 @@ iscsi_target_mod
 iscsi_tcp
 isofs
 iw_cm
-ixgbe
-ixgbevf
 joydev
 jsm
 keywrap
@@ -394,7 +381,6 @@ mcryptd
 md4
 md-cluster
 mdev
-mdio
 megaraid_mbox
 megaraid_mm
 megaraid_sas
@@ -711,7 +697,6 @@ test_static_keys
 test-string_helpers
 test_user_copy
 test_uuid
-tg3
 tgr192
 tipc
 ts_bm
diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index 0bc1ea5d9d96..2d127cc97197 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -20,12 +20,6 @@ CONFIG_6LOWPAN_NHC_MOBILITY=m
 CONFIG_6LOWPAN_NHC_ROUTING=m
 CONFIG_6LOWPAN_NHC_UDP=m
 # CONFIG_6PACK is not set
-CONFIG_8139CP=m
-CONFIG_8139TOO=m
-CONFIG_8139TOO_8129=y
-CONFIG_8139TOO_PIO=y
-# CONFIG_8139TOO_TUNE_TWISTER is not set
-# CONFIG_8139_OLD_RX_RESET is not set
 CONFIG_842_COMPRESS=m
 CONFIG_842_DECOMPRESS=m
 CONFIG_9P_FS=m
@@ -138,7 +132,6 @@ CONFIG_APDS9802ALS=m
 # CONFIG_APPLE_GMUX is not set
 CONFIG_APPLE_PROPERTIES=y
 CONFIG_APPLICOM=m
-CONFIG_AQTION=m
 # CONFIG_AQUANTIA_PHY is not set
 CONFIG_ARCH_CLOCKSOURCE_DATA=y
 CONFIG_ARCH_DEFCONFIG="arch/x86/configs/x86_64_defconfig"
@@ -285,7 +278,6 @@ CONFIG_ATM_TCP=m
 CONFIG_ATM_ZATM=m
 # CONFIG_ATM_ZATM_DEBUG is not set
 # CONFIG_ATOMIC64_SELFTEST is not set
-CONFIG_ATP=m
 CONFIG_AUDIT=y
 CONFIG_AUDITSYSCALL=y
 CONFIG_AUDIT_ARCH=y
@@ -314,10 +306,6 @@ CONFIG_AUTOFS4_FS=m
 # CONFIG_AUXDISPLAY is not set
 CONFIG_AX25=m
 CONFIG_AX25_DAMA_SLAVE=y
-CONFIG_B44=m
-CONFIG_B44_PCI=y
-CONFIG_B44_PCICORE_AUTOSELECT=y
-CONFIG_B44_PCI_AUTOSELECT=y
 # CONFIG_B53 is not set
 # CONFIG_BACKLIGHT_ADP8860 is not set
 # CONFIG_BACKLIGHT_ADP8870 is not set
@@ -366,11 +354,8 @@ CONFIG_BCMA_HOST_PCI_POSSIBLE=y
 CONFIG_BCMA_HOST_SOC=y
 CONFIG_BCMA_POSSIBLE=y
 CONFIG_BCMA_SFLASH=y
-# CONFIG_BCMGENET is not set
 # CONFIG_BCM_KONA_USB2_PHY is not set
 CONFIG_BE2ISCSI=m
-CONFIG_BE2NET=m
-CONFIG_BE2NET_HWMON=y
 # CONFIG_BEFS_DEBUG is not set
 CONFIG_BEFS_FS=m
 CONFIG_BFS_FS=m
@@ -432,12 +417,6 @@ CONFIG_BLK_WBT_MQ=y
 # CONFIG_BLK_WBT_SQ is not set
 CONFIG_BLOCK=y
 CONFIG_BLOCK_COMPAT=y
-CONFIG_BNX2=m
-CONFIG_BNX2X=m
-CONFIG_BNX2X_SRIOV=y
-CONFIG_BNXT=m
-CONFIG_BNXT_DCB=y
-CONFIG_BNXT_SRIOV=y
 CONFIG_BOARD_TPCI200=m
 CONFIG_BONDING=m
 # CONFIG_BOOTPARAM_HARDLOCKUP_PANIC is not set
@@ -588,12 +567,6 @@ CONFIG_CGROUP_WRITEBACK=y
 # CONFIG_CHARGER_SMB347 is not set
 CONFIG_CHECKPOINT_RESTORE=y
 CONFIG_CHECK_SIGNATURE=y
-CONFIG_CHELSIO_T1=m
-CONFIG_CHELSIO_T1_1G=y
-CONFIG_CHELSIO_T3=m
-CONFIG_CHELSIO_T4=m
-CONFIG_CHELSIO_T4VF=m
-CONFIG_CHELSIO_T4_DCB=y
 # CONFIG_CHROME_PLATFORMS is not set
 CONFIG_CHR_DEV_OSST=m
 CONFIG_CHR_DEV_SCH=m
@@ -630,7 +603,6 @@ CONFIG_CMA_AREAS=7
 # CONFIG_CMA_DEBUGFS is not set
 # CONFIG_CMDLINE_BOOL is not set
 CONFIG_CMDLINE_PARTITION=y
-CONFIG_CNIC=m
 CONFIG_CODA_FS=m
 # CONFIG_COMEDI is not set
 CONFIG_COMMON_CLK=y
@@ -758,7 +730,6 @@ CONFIG_CRYPTO_DES3_EDE_X86_64=m
 CONFIG_CRYPTO_DEV_CCP=y
 CONFIG_CRYPTO_DEV_CCP_CRYPTO=m
 CONFIG_CRYPTO_DEV_CCP_DD=m
-# CONFIG_CRYPTO_DEV_CHELSIO is not set
 # CONFIG_CRYPTO_DEV_FSL_CAAM_CRYPTO_API_DESC is not set
 CONFIG_CRYPTO_DEV_PADLOCK=y
 CONFIG_CRYPTO_DEV_PADLOCK_AES=m
@@ -968,7 +939,6 @@ CONFIG_DEVTMPFS_MOUNT=y
 CONFIG_DEV_APPLETALK=m
 # CONFIG_DEV_DAX is not set
 CONFIG_DGNC=m
-CONFIG_DL2K=m
 CONFIG_DLCI=m
 CONFIG_DLCI_MAX=8
 CONFIG_DLM=m
@@ -1095,10 +1065,6 @@ CONFIG_DW_WATCHDOG=m
 CONFIG_DYNAMIC_DEBUG=y
 CONFIG_DYNAMIC_FTRACE=y
 CONFIG_DYNAMIC_FTRACE_WITH_REGS=y
-CONFIG_E100=m
-CONFIG_E1000=m
-CONFIG_E1000E=m
-CONFIG_E1000E_HWTS=y
 CONFIG_EARLY_PRINTK=y
 CONFIG_EARLY_PRINTK_DBGP=y
 CONFIG_EARLY_PRINTK_EFI=y
@@ -1166,15 +1132,12 @@ CONFIG_ELF_CORE=y
 # CONFIG_EM_TIMER_STI is not set
 # CONFIG_ENABLE_MUST_CHECK is not set
 # CONFIG_ENABLE_WARN_DEPRECATED is not set
-# CONFIG_ENC28J60 is not set
 CONFIG_ENCLOSURE_SERVICES=m
 CONFIG_ENCRYPTED_KEYS=y
-# CONFIG_ENCX24J600 is not set
 CONFIG_ENIC=m
 CONFIG_EPOLL=y
 CONFIG_EQUALIZER=m
 CONFIG_ESI_DONGLE=m
-CONFIG_ET131X=m
 CONFIG_ETHERNET=y
 CONFIG_ETHOC=m
 CONFIG_EUROTECH_WDT=m
@@ -1299,7 +1262,6 @@ CONFIG_FIRMWARE_IN_KERNEL=y
 CONFIG_FIRMWARE_MEMMAP=y
 CONFIG_FIXED_PHY=y
 CONFIG_FIX_EARLYCON_MEM=y
-CONFIG_FM10K=m
 # CONFIG_FMC is not set
 # CONFIG_FONTS is not set
 CONFIG_FONT_8x16=y
@@ -1683,9 +1645,6 @@ CONFIG_I2C_TAOS_EVM=m
 CONFIG_I2C_VIA=m
 CONFIG_I2C_VIAPRO=m
 CONFIG_I2C_XILINX=m
-CONFIG_I40E=m
-CONFIG_I40EVF=m
-CONFIG_I40E_DCB=y
 CONFIG_I6300ESB_WDT=m
 CONFIG_I8253_LOCK=y
 CONFIG_I8K=m
@@ -1712,10 +1671,6 @@ CONFIG_IEEE802154_DRIVERS=m
 # CONFIG_IEEE802154_NL802154_EXPERIMENTAL is not set
 CONFIG_IEEE802154_SOCKET=m
 CONFIG_IFB=m
-CONFIG_IGB=m
-CONFIG_IGBVF=m
-CONFIG_IGB_DCA=y
-CONFIG_IGB_HWMON=y
 # CONFIG_IIO is not set
 # CONFIG_IKCONFIG is not set
 CONFIG_ILLEGAL_POINTER_VALUE=0xdead000000000000
@@ -1769,9 +1724,6 @@ CONFIG_INFINIBAND=m
 CONFIG_INFINIBAND_ADDR_TRANS=y
 CONFIG_INFINIBAND_ADDR_TRANS_CONFIGFS=y
 # CONFIG_INFINIBAND_BNXT_RE is not set
-# CONFIG_INFINIBAND_CXGB3 is not set
-# CONFIG_INFINIBAND_CXGB4 is not set
-# CONFIG_INFINIBAND_I40IW is not set
 # CONFIG_INFINIBAND_IPOIB is not set
 CONFIG_INFINIBAND_ISER=m
 CONFIG_INFINIBAND_ISERT=m
@@ -2059,7 +2011,6 @@ CONFIG_ISCSI_BOOT_SYSFS=m
 CONFIG_ISCSI_IBFT=m
 CONFIG_ISCSI_IBFT_FIND=y
 CONFIG_ISCSI_TARGET=m
-# CONFIG_ISCSI_TARGET_CXGB4 is not set
 CONFIG_ISCSI_TCP=m
 # CONFIG_ISDN is not set
 CONFIG_ISI=m
@@ -2070,12 +2021,6 @@ CONFIG_IT8712F_WDT=m
 CONFIG_IT87_WDT=m
 CONFIG_ITCO_VENDOR_SUPPORT=y
 CONFIG_ITCO_WDT=m
-CONFIG_IXGB=m
-CONFIG_IXGBE=m
-CONFIG_IXGBEVF=m
-CONFIG_IXGBE_DCA=y
-CONFIG_IXGBE_DCB=y
-CONFIG_IXGBE_HWMON=y
 CONFIG_JBD2=y
 # CONFIG_JBD2_DEBUG is not set
 # CONFIG_JFS_DEBUG is not set
@@ -2279,7 +2224,6 @@ CONFIG_MCE_AMD_INJ=m
 # CONFIG_MCORE2 is not set
 CONFIG_MCP2120_DONGLE=m
 CONFIG_MD=y
-CONFIG_MDIO=m
 # CONFIG_MDIO_BCM_UNIMAC is not set
 # CONFIG_MDIO_BITBANG is not set
 # CONFIG_MDIO_OCTEON is not set
@@ -2456,7 +2400,6 @@ CONFIG_MTRR_SANITIZER_ENABLE_DEFAULT=1
 CONFIG_MTRR_SANITIZER_SPARE_REG_NR_DEFAULT=1
 CONFIG_MULTIUSER=y
 CONFIG_MUTEX_SPIN_ON_OWNER=y
-CONFIG_MVMDIO=m
 # CONFIG_MWAVE is not set
 CONFIG_MXM_WMI=m
 CONFIG_NAMESPACES=y
@@ -2688,41 +2631,40 @@ CONFIG_NET_TCPPROBE=m
 CONFIG_NET_UDP_TUNNEL=m
 # CONFIG_NET_VENDOR_3COM is not set
 # CONFIG_NET_VENDOR_ADAPTEC is not set
-CONFIG_NET_VENDOR_AGERE=y
-CONFIG_NET_VENDOR_ALACRITECH=y
+# CONFIG_NET_VENDOR_AGERE is not set
+# CONFIG_NET_VENDOR_ALACRITECH is not set
 # CONFIG_NET_VENDOR_ALTEON is not set
 # CONFIG_NET_VENDOR_AMAZON is not set
 # CONFIG_NET_VENDOR_AMD is not set
-CONFIG_NET_VENDOR_AQUANTIA=y
+# CONFIG_NET_VENDOR_AQUANTIA is not set
 # CONFIG_NET_VENDOR_ARC is not set
 # CONFIG_NET_VENDOR_ATHEROS is not set
 # CONFIG_NET_VENDOR_AURORA is not set
-CONFIG_NET_VENDOR_BROADCOM=y
+# CONFIG_NET_VENDOR_BROADCOM is not set
 # CONFIG_NET_VENDOR_BROCADE is not set
 # CONFIG_NET_VENDOR_CAVIUM is not set
-CONFIG_NET_VENDOR_CHELSIO=y
+# CONFIG_NET_VENDOR_CHELSIO is not set
 CONFIG_NET_VENDOR_CISCO=y
 # CONFIG_NET_VENDOR_DEC is not set
-CONFIG_NET_VENDOR_DLINK=y
-CONFIG_NET_VENDOR_EMULEX=y
+# CONFIG_NET_VENDOR_DLINK is not set
+# CONFIG_NET_VENDOR_EMULEX is not set
 # CONFIG_NET_VENDOR_EXAR is not set
 # CONFIG_NET_VENDOR_EZCHIP is not set
 # CONFIG_NET_VENDOR_HP is not set
-CONFIG_NET_VENDOR_I825XX=y
-CONFIG_NET_VENDOR_INTEL=y
-CONFIG_NET_VENDOR_MARVELL=y
+# CONFIG_NET_VENDOR_INTEL is not set
+# CONFIG_NET_VENDOR_MARVELL is not set
 CONFIG_NET_VENDOR_MELLANOX=y
 # CONFIG_NET_VENDOR_MICREL is not set
-CONFIG_NET_VENDOR_MICROCHIP=y
+# CONFIG_NET_VENDOR_MICROCHIP is not set
 # CONFIG_NET_VENDOR_MYRI is not set
 # CONFIG_NET_VENDOR_NATSEMI is not set
-CONFIG_NET_VENDOR_NETRONOME=y
+# CONFIG_NET_VENDOR_NETRONOME is not set
 # CONFIG_NET_VENDOR_NVIDIA is not set
 # CONFIG_NET_VENDOR_OKI is not set
 # CONFIG_NET_VENDOR_QLOGIC is not set
 # CONFIG_NET_VENDOR_QUALCOMM is not set
 # CONFIG_NET_VENDOR_RDC is not set
-CONFIG_NET_VENDOR_REALTEK=y
+# CONFIG_NET_VENDOR_REALTEK is not set
 # CONFIG_NET_VENDOR_RENESAS is not set
 # CONFIG_NET_VENDOR_ROCKER is not set
 # CONFIG_NET_VENDOR_SAMSUNG is not set
@@ -2730,7 +2672,7 @@ CONFIG_NET_VENDOR_REALTEK=y
 # CONFIG_NET_VENDOR_SILAN is not set
 # CONFIG_NET_VENDOR_SIS is not set
 # CONFIG_NET_VENDOR_SMSC is not set
-CONFIG_NET_VENDOR_SOLARFLARE=y
+# CONFIG_NET_VENDOR_SOLARFLARE is not set
 # CONFIG_NET_VENDOR_STMICRO is not set
 # CONFIG_NET_VENDOR_SUN is not set
 # CONFIG_NET_VENDOR_TEHUTI is not set
@@ -2759,8 +2701,6 @@ CONFIG_NFC_SHDLC=y
 # CONFIG_NFC_ST_NCI_I2C is not set
 # CONFIG_NFC_ST_NCI_SPI is not set
 # CONFIG_NFC_TRF7970A is not set
-CONFIG_NFP=m
-# CONFIG_NFP_DEBUG is not set
 CONFIG_NFSD=m
 CONFIG_NFSD_BLOCKLAYOUT=y
 # CONFIG_NFSD_FAULT_INJECTION is not set
@@ -3270,7 +3210,6 @@ CONFIG_QUOTACTL_COMPAT=y
 CONFIG_QUOTA_NETLINK_INTERFACE=y
 CONFIG_QUOTA_TREE=m
 CONFIG_R3964=m
-CONFIG_R8169=m
 CONFIG_RADIX_TREE_MULTIORDER=y
 CONFIG_RAID6_PQ=m
 CONFIG_RAID_ATTRS=m
@@ -3777,11 +3716,6 @@ CONFIG_SERIO_PCIPS2=m
 CONFIG_SERIO_PS2MULT=m
 CONFIG_SERIO_RAW=m
 CONFIG_SERIO_SERPORT=m
-CONFIG_SFC=m
-CONFIG_SFC_FALCON=m
-CONFIG_SFC_MCDI_LOGGING=y
-CONFIG_SFC_MCDI_MON=y
-CONFIG_SFC_SRIOV=y
 CONFIG_SFI=y
 CONFIG_SGETMASK_SYSCALL=y
 CONFIG_SGI_IOC4=m
@@ -3796,16 +3730,10 @@ CONFIG_SIGNALFD=y
 CONFIG_SIGNATURE=y
 CONFIG_SIGNED_PE_FILE_VERIFICATION=y
 CONFIG_SKFP=m
-CONFIG_SKGE=m
-# CONFIG_SKGE_DEBUG is not set
-CONFIG_SKGE_GENESIS=y
-CONFIG_SKY2=m
-# CONFIG_SKY2_DEBUG is not set
 # CONFIG_SLAB is not set
 CONFIG_SLABINFO=y
 CONFIG_SLAB_FREELIST_RANDOM=y
 CONFIG_SLHC=y
-CONFIG_SLICOSS=m
 CONFIG_SLIP=m
 CONFIG_SLIP_COMPRESSED=y
 CONFIG_SLIP_MODE_SLIP6=y
@@ -3910,8 +3838,6 @@ CONFIG_STRICT_DEVMEM=y
 CONFIG_STRICT_KERNEL_RWX=y
 CONFIG_STRICT_MODULE_RWX=y
 # CONFIG_STRIP_ASM_SYMS is not set
-CONFIG_SUNDANCE=m
-# CONFIG_SUNDANCE_MMIO is not set
 CONFIG_SUNRPC=m
 CONFIG_SUNRPC_BACKCHANNEL=y
 CONFIG_SUNRPC_DEBUG=y
@@ -4040,7 +3966,6 @@ CONFIG_TICK_CPU_ACCOUNTING=y
 CONFIG_TICK_ONESHOT=y
 CONFIG_TIFM_7XX1=m
 CONFIG_TIFM_CORE=m
-CONFIG_TIGON3=m
 CONFIG_TIMERFD=y
 CONFIG_TIPC=m
 CONFIG_TIPC_MEDIA_UDP=y