diff --git a/debian.azure/abi/4.11.0-1005.5/amd64/azure.modules b/debian.azure/abi/4.11.0-1005.5/amd64/azure.modules
index adf80fa92cd2..ac71fd0319ca 100644
--- a/debian.azure/abi/4.11.0-1005.5/amd64/azure.modules
+++ b/debian.azure/abi/4.11.0-1005.5/amd64/azure.modules
@@ -746,7 +746,6 @@ vhost
 vhost_net
 vhost_scsi
 vhost_vsock
-viafb
 video
 virtio_blk
 virtio_input
diff --git a/debian.azure/config/config.common.ubuntu b/debian.azure/config/config.common.ubuntu
index 5b3a36cd66b7..a32fb2f4c97a 100644
--- a/debian.azure/config/config.common.ubuntu
+++ b/debian.azure/config/config.common.ubuntu
@@ -334,7 +334,6 @@ CONFIG_B44_PCI_AUTOSELECT=y
 CONFIG_BACKLIGHT_CLASS_DEVICE=y
 # CONFIG_BACKLIGHT_DA9052 is not set
 # CONFIG_BACKLIGHT_GENERIC is not set
-# CONFIG_BACKLIGHT_GPIO is not set
 CONFIG_BACKLIGHT_LCD_SUPPORT=y
 # CONFIG_BACKLIGHT_LM3639 is not set
 # CONFIG_BACKLIGHT_LV5207LP is not set
@@ -376,7 +375,6 @@ CONFIG_BCACHE=m
 CONFIG_BCMA=m
 # CONFIG_BCMA_DEBUG is not set
 CONFIG_BCMA_DRIVER_GMAC_CMN=y
-CONFIG_BCMA_DRIVER_GPIO=y
 CONFIG_BCMA_DRIVER_PCI=y
 CONFIG_BCMA_HOST_PCI=y
 CONFIG_BCMA_HOST_PCI_POSSIBLE=y
@@ -598,18 +596,12 @@ CONFIG_CGROUP_RDMA=y
 CONFIG_CGROUP_SCHED=y
 CONFIG_CGROUP_WRITEBACK=y
 # CONFIG_CHARGER_BQ2415X is not set
-# CONFIG_CHARGER_BQ24190 is not set
-# CONFIG_CHARGER_BQ24257 is not set
-# CONFIG_CHARGER_BQ24735 is not set
-# CONFIG_CHARGER_BQ25890 is not set
-# CONFIG_CHARGER_GPIO is not set
 # CONFIG_CHARGER_LP8727 is not set
 # CONFIG_CHARGER_MANAGER is not set
 # CONFIG_CHARGER_MAX14577 is not set
 # CONFIG_CHARGER_MAX77693 is not set
 # CONFIG_CHARGER_MAX8903 is not set
 # CONFIG_CHARGER_PCF50633 is not set
-# CONFIG_CHARGER_RT9455 is not set
 # CONFIG_CHARGER_SBS is not set
 # CONFIG_CHARGER_SMB347 is not set
 # CONFIG_CHARGER_TPS65217 is not set
@@ -914,7 +906,6 @@ CONFIG_DEBUG_BUGVERBOSE=y
 # CONFIG_DEBUG_ENTRY is not set
 # CONFIG_DEBUG_FORCE_WEAK_PER_CPU is not set
 CONFIG_DEBUG_FS=y
-# CONFIG_DEBUG_GPIO is not set
 # CONFIG_DEBUG_HOTPLUG_CPU0 is not set
 CONFIG_DEBUG_INFO=y
 CONFIG_DEBUG_INFO_DWARF4=y
@@ -1313,15 +1304,11 @@ CONFIG_FB_SYS_COPYAREA=m
 CONFIG_FB_SYS_FILLRECT=m
 CONFIG_FB_SYS_FOPS=m
 CONFIG_FB_SYS_IMAGEBLIT=m
-# CONFIG_FB_TFT is not set
 CONFIG_FB_TILEBLITTING=y
 # CONFIG_FB_TRIDENT is not set
 # CONFIG_FB_UVESA is not set
 # CONFIG_FB_VESA is not set
 # CONFIG_FB_VGA16 is not set
-CONFIG_FB_VIA=m
-# CONFIG_FB_VIA_DIRECT_PROCFS is not set
-CONFIG_FB_VIA_X_COMPATIBILITY=y
 # CONFIG_FB_VIRTUAL is not set
 # CONFIG_FB_VOODOO1 is not set
 # CONFIG_FB_VT8623 is not set
@@ -1410,7 +1397,6 @@ CONFIG_GENERIC_FIND_FIRST_BIT=y
 CONFIG_GENERIC_HWEIGHT=y
 CONFIG_GENERIC_IO=y
 CONFIG_GENERIC_IOMAP=y
-CONFIG_GENERIC_IRQ_CHIP=y
 CONFIG_GENERIC_IRQ_PROBE=y
 CONFIG_GENERIC_IRQ_SHOW=y
 CONFIG_GENERIC_ISA_DMA=y
@@ -1435,54 +1421,7 @@ CONFIG_GLOB=y
 # CONFIG_GLOB_SELFTEST is not set
 # CONFIG_GOLDFISH is not set
 # CONFIG_GOOGLE_FIRMWARE is not set
-CONFIG_GPIOLIB=y
-CONFIG_GPIOLIB_IRQCHIP=y
-CONFIG_GPIO_104_DIO_48E=m
-CONFIG_GPIO_104_IDIO_16=m
-CONFIG_GPIO_104_IDI_48=m
-CONFIG_GPIO_ACPI=y
-CONFIG_GPIO_ADP5588=m
-CONFIG_GPIO_AMD8111=m
-CONFIG_GPIO_AMDPT=m
-CONFIG_GPIO_ARIZONA=m
-CONFIG_GPIO_AXP209=m
-# CONFIG_GPIO_BT8XX is not set
-CONFIG_GPIO_DA9052=m
-CONFIG_GPIO_DWAPB=m
-CONFIG_GPIO_F7188X=m
-CONFIG_GPIO_GENERIC=m
-CONFIG_GPIO_GENERIC_PLATFORM=m
-CONFIG_GPIO_GPIO_MM=m
-CONFIG_GPIO_ICH=m
-CONFIG_GPIO_IT87=m
-CONFIG_GPIO_JANZ_TTL=m
-CONFIG_GPIO_LP3943=m
-CONFIG_GPIO_LP873X=m
-CONFIG_GPIO_LYNXPOINT=y
-CONFIG_GPIO_MAX7300=m
-CONFIG_GPIO_MAX7301=m
-CONFIG_GPIO_MAX730X=m
-CONFIG_GPIO_MAX732X=m
-CONFIG_GPIO_MC33880=m
-CONFIG_GPIO_MENZ127=m
-CONFIG_GPIO_ML_IOH=m
-CONFIG_GPIO_MOCKUP=m
-CONFIG_GPIO_PCA953X=m
-CONFIG_GPIO_PCF857X=m
-CONFIG_GPIO_PCI_IDIO_16=m
-CONFIG_GPIO_PISOSR=m
-CONFIG_GPIO_RDC321X=m
-CONFIG_GPIO_SCH=m
-CONFIG_GPIO_SCH311X=m
-CONFIG_GPIO_SYSFS=y
-CONFIG_GPIO_TPIC2810=m
-CONFIG_GPIO_TPS65086=m
-CONFIG_GPIO_TPS65218=m
-CONFIG_GPIO_TPS65912=m
-CONFIG_GPIO_VX855=m
-CONFIG_GPIO_WM831X=m
-CONFIG_GPIO_WM8994=m
-CONFIG_GPIO_WS16C48=m
+# CONFIG_GPIOLIB is not set
 CONFIG_GRACE_PERIOD=m
 # CONFIG_GREYBUS is not set
 CONFIG_GRO_CELLS=y
@@ -1731,7 +1670,6 @@ CONFIG_I2C_AMD756=m
 CONFIG_I2C_AMD756_S4882=m
 CONFIG_I2C_AMD8111=m
 CONFIG_I2C_BOARDINFO=y
-CONFIG_I2C_CBUS_GPIO=m
 CONFIG_I2C_CHARDEV=m
 CONFIG_I2C_COMPAT=y
 # CONFIG_I2C_DEBUG_ALGO is not set
@@ -1742,7 +1680,6 @@ CONFIG_I2C_DESIGNWARE_CORE=m
 CONFIG_I2C_DESIGNWARE_PCI=m
 CONFIG_I2C_DESIGNWARE_PLATFORM=m
 # CONFIG_I2C_EMEV2 is not set
-CONFIG_I2C_GPIO=m
 CONFIG_I2C_HELPER_AUTO=y
 # CONFIG_I2C_HID is not set
 CONFIG_I2C_I801=m
@@ -1750,10 +1687,8 @@ CONFIG_I2C_ISCH=m
 CONFIG_I2C_ISMT=m
 CONFIG_I2C_MLXCPLD=m
 CONFIG_I2C_MUX=m
-# CONFIG_I2C_MUX_GPIO is not set
 # CONFIG_I2C_MUX_MLXCPLD is not set
 # CONFIG_I2C_MUX_PCA9541 is not set
-# CONFIG_I2C_MUX_PCA954x is not set
 # CONFIG_I2C_MUX_REG is not set
 CONFIG_I2C_NFORCE2=m
 CONFIG_I2C_NFORCE2_S4985=m
@@ -1899,18 +1834,12 @@ CONFIG_INPUT=y
 # CONFIG_INPUT_CMA3000 is not set
 # CONFIG_INPUT_DA9052_ONKEY is not set
 # CONFIG_INPUT_DA9063_ONKEY is not set
-# CONFIG_INPUT_DRV260X_HAPTICS is not set
 # CONFIG_INPUT_DRV2665_HAPTICS is not set
 # CONFIG_INPUT_DRV2667_HAPTICS is not set
 # CONFIG_INPUT_E3X0_BUTTON is not set
 CONFIG_INPUT_EVBUG=m
 CONFIG_INPUT_EVDEV=y
 CONFIG_INPUT_FF_MEMLESS=m
-# CONFIG_INPUT_GP2A is not set
-# CONFIG_INPUT_GPIO_BEEPER is not set
-# CONFIG_INPUT_GPIO_DECODER is not set
-# CONFIG_INPUT_GPIO_ROTARY_ENCODER is not set
-# CONFIG_INPUT_GPIO_TILT_POLLED is not set
 # CONFIG_INPUT_IDEAPAD_SLIDEBAR is not set
 CONFIG_INPUT_JOYDEV=m
 # CONFIG_INPUT_JOYSTICK is not set
@@ -2217,12 +2146,9 @@ CONFIG_KEXEC_VERIFY_SIG=y
 # CONFIG_KEYBOARD_ADP5588 is not set
 # CONFIG_KEYBOARD_ADP5589 is not set
 CONFIG_KEYBOARD_ATKBD=y
-# CONFIG_KEYBOARD_GPIO is not set
-# CONFIG_KEYBOARD_GPIO_POLLED is not set
 # CONFIG_KEYBOARD_LKKBD is not set
 # CONFIG_KEYBOARD_LM8323 is not set
 # CONFIG_KEYBOARD_LM8333 is not set
-# CONFIG_KEYBOARD_MATRIX is not set
 # CONFIG_KEYBOARD_MAX7359 is not set
 # CONFIG_KEYBOARD_MCS is not set
 # CONFIG_KEYBOARD_MPR121 is not set
@@ -2275,19 +2201,16 @@ CONFIG_LEDS_CLASS=m
 # CONFIG_LEDS_CLEVO_MAIL is not set
 # CONFIG_LEDS_DA9052 is not set
 # CONFIG_LEDS_DAC124S085 is not set
-# CONFIG_LEDS_GPIO is not set
 # CONFIG_LEDS_INTEL_SS4200 is not set
 # CONFIG_LEDS_LM3530 is not set
 # CONFIG_LEDS_LM355x is not set
 # CONFIG_LEDS_LM3642 is not set
 # CONFIG_LEDS_LP3944 is not set
-# CONFIG_LEDS_LP3952 is not set
 # CONFIG_LEDS_LP5521 is not set
 # CONFIG_LEDS_LP5523 is not set
 # CONFIG_LEDS_LP5562 is not set
 # CONFIG_LEDS_LP8501 is not set
 # CONFIG_LEDS_LP8860 is not set
-# CONFIG_LEDS_LT3593 is not set
 # CONFIG_LEDS_MC13783 is not set
 # CONFIG_LEDS_MENF21BMC is not set
 # CONFIG_LEDS_MLXCPLD is not set
@@ -2304,7 +2227,6 @@ CONFIG_LEDS_TRIGGERS=y
 # CONFIG_LEDS_TRIGGER_CPU is not set
 # CONFIG_LEDS_TRIGGER_DEFAULT_ON is not set
 # CONFIG_LEDS_TRIGGER_DISK is not set
-# CONFIG_LEDS_TRIGGER_GPIO is not set
 # CONFIG_LEDS_TRIGGER_HEARTBEAT is not set
 # CONFIG_LEDS_TRIGGER_ONESHOT is not set
 # CONFIG_LEDS_TRIGGER_PANIC is not set
@@ -2442,7 +2364,6 @@ CONFIG_MEMORY_NOTIFIER_ERROR_INJECT=m
 CONFIG_MEMTEST=y
 CONFIG_MEM_SOFT_DIRTY=y
 CONFIG_MENF21BMC_WATCHDOG=m
-CONFIG_MEN_A21_WDT=m
 CONFIG_MESSAGE_LOGLEVEL_DEFAULT=4
 # CONFIG_MFD_88PM800 is not set
 CONFIG_MFD_88PM805=m
@@ -2483,7 +2404,6 @@ CONFIG_MFD_RTSX_PCI=m
 # CONFIG_MFD_SI476X_CORE is not set
 CONFIG_MFD_SKY81452=m
 CONFIG_MFD_SM501=m
-CONFIG_MFD_SM501_GPIO=y
 CONFIG_MFD_SYSCON=y
 CONFIG_MFD_TI_AM335X_TSCADC=m
 CONFIG_MFD_TI_LP873X=m
@@ -3474,7 +3394,6 @@ CONFIG_REGULATOR=y
 # CONFIG_REGULATOR_DEBUG is not set
 # CONFIG_REGULATOR_FAN53555 is not set
 CONFIG_REGULATOR_FIXED_VOLTAGE=m
-# CONFIG_REGULATOR_GPIO is not set
 # CONFIG_REGULATOR_ISL6271A is not set
 # CONFIG_REGULATOR_ISL9305 is not set
 # CONFIG_REGULATOR_LP3971 is not set
@@ -3536,7 +3455,6 @@ CONFIG_RESET_CONTROLLER=y
 # CONFIG_RESET_ZYNQ is not set
 CONFIG_RETU_WATCHDOG=m
 CONFIG_RFKILL=y
-CONFIG_RFKILL_GPIO=m
 CONFIG_RFKILL_INPUT=y
 CONFIG_RFKILL_LEDS=y
 CONFIG_RFS_ACCEL=y
@@ -3799,7 +3717,6 @@ CONFIG_SENSORS_G760A=m
 CONFIG_SENSORS_G762=m
 CONFIG_SENSORS_GL518SM=m
 CONFIG_SENSORS_GL520SM=m
-CONFIG_SENSORS_GPIO_FAN=m
 # CONFIG_SENSORS_HDAPS is not set
 CONFIG_SENSORS_HIH6130=m
 CONFIG_SENSORS_I5500=m
@@ -3866,7 +3783,6 @@ CONFIG_SENSORS_POWR1220=m
 CONFIG_SENSORS_SCH5627=m
 CONFIG_SENSORS_SCH5636=m
 CONFIG_SENSORS_SCH56XX_COMMON=m
-CONFIG_SENSORS_SHT15=m
 CONFIG_SENSORS_SHT21=m
 CONFIG_SENSORS_SHT3x=m
 CONFIG_SENSORS_SHTC1=m
@@ -3925,7 +3841,6 @@ CONFIG_SERIAL_ARC_NR_PORTS=1
 CONFIG_SERIAL_CORE=y
 # CONFIG_SERIAL_DEV_BUS is not set
 CONFIG_SERIAL_FSL_LPUART=m
-# CONFIG_SERIAL_IFX6X60 is not set
 # CONFIG_SERIAL_IPOCTAL is not set
 CONFIG_SERIAL_JSM=m
 CONFIG_SERIAL_KGDB_NMI=y
@@ -4028,11 +3943,9 @@ CONFIG_SPI_DESIGNWARE=m
 CONFIG_SPI_DW_MID_DMA=y
 CONFIG_SPI_DW_MMIO=m
 CONFIG_SPI_DW_PCI=m
-CONFIG_SPI_GPIO=m
 CONFIG_SPI_LM70_LLP=m
 CONFIG_SPI_LOOPBACK_TEST=m
 CONFIG_SPI_MASTER=y
-CONFIG_SPI_OC_TINY=m
 CONFIG_SPI_PXA2XX=m
 CONFIG_SPI_PXA2XX_PCI=m
 # CONFIG_SPI_ROCKCHIP is not set
@@ -4063,7 +3976,6 @@ CONFIG_SRCU=y
 CONFIG_SSB=m
 # CONFIG_SSB_B43_PCI_BRIDGE is not set
 # CONFIG_SSB_DEBUG is not set
-CONFIG_SSB_DRIVER_GPIO=y
 CONFIG_SSB_DRIVER_PCICORE=y
 CONFIG_SSB_DRIVER_PCICORE_POSSIBLE=y
 CONFIG_SSB_PCIHOST=y
@@ -4223,7 +4135,6 @@ CONFIG_TIMERFD=y
 CONFIG_TIPC=m
 CONFIG_TIPC_MEDIA_UDP=y
 CONFIG_TI_DAC7512=m
-# CONFIG_TI_ST is not set
 # CONFIG_TI_SYSCON_RESET is not set
 CONFIG_TMPFS=y
 CONFIG_TMPFS_POSIX_ACL=y
@@ -4235,7 +4146,6 @@ CONFIG_TORTURE_TEST=m
 # CONFIG_TOSHIBA_HAPS is not set
 # CONFIG_TOSHIBA_WMI is not set
 CONFIG_TPS6105X=m
-CONFIG_TPS65010=m
 CONFIG_TPS6507X=m
 CONFIG_TRACEPOINTS=y
 # CONFIG_TRACEPOINT_BENCHMARK is not set
@@ -4248,7 +4158,6 @@ CONFIG_TRACE_IRQFLAGS_SUPPORT=y
 CONFIG_TRACE_ROUTER=m
 CONFIG_TRACE_SINK=m
 CONFIG_TRACING=y
-CONFIG_TRACING_EVENTS_GPIO=y
 CONFIG_TRACING_MAP=y
 CONFIG_TRACING_SUPPORT=y
 CONFIG_TRANSPARENT_HUGEPAGE=y
@@ -4365,7 +4274,6 @@ CONFIG_VMAP_STACK=y
 CONFIG_VME_BUS=y
 CONFIG_VME_CA91CX42=m
 CONFIG_VME_FAKE=m
-# CONFIG_VME_PIO2 is not set
 CONFIG_VME_TSI148=m
 # CONFIG_VME_USER is not set
 CONFIG_VMIVME_7805=m